// $ANTLR 2.7.4: "eql_tree.g" -> "EQLBaseWalker.java"$

  package net.esper.eql.generated;
  import java.util.Stack;
  import org.apache.commons.logging.Log;
  import org.apache.commons.logging.LogFactory;

import antlr.TreeParser;
import antlr.Token;
import antlr.collections.AST;
import antlr.RecognitionException;
import antlr.ANTLRException;
import antlr.NoViableAltException;
import antlr.MismatchedTokenException;
import antlr.SemanticException;
import antlr.collections.impl.BitSet;
import antlr.ASTPair;
import antlr.collections.impl.ASTArray;


public class EQLBaseWalker extends antlr.TreeParser       implements EqlEvalTokenTypes
 {

	private static Log log = LogFactory.getLog(EQLBaseWalker.class);

	// For pattern processing within EQL and for create pattern
	protected void setIsPatternWalk(boolean isPatternWalk) throws SemanticException {}
	protected void endPattern() throws SemanticException {}
	
	protected void pushStmtContext() throws SemanticException {}
	protected void leaveNode(AST node) throws SemanticException {}
	protected void end() throws SemanticException {}
public EQLBaseWalker() {
	tokenNames = _tokenNames;
}

	public final void startEQLExpressionRule(AST _t) throws RecognitionException {
		
		AST startEQLExpressionRule_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST startEQLExpressionRule_AST = null;
		
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case SELECTION_EXPR:
		case INSERTINTO_EXPR:
		{
			selectExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case CREATE_WINDOW_EXPR:
		{
			createWindowExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case CREATE_VARIABLE_EXPR:
		{
			createVariableExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case ON_EXPR:
		{
			onExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		end();
		startEQLExpressionRule_AST = (AST)currentAST.root;
		returnAST = startEQLExpressionRule_AST;
		_retTree = _t;
	}
	
	public final void selectExpr(AST _t) throws RecognitionException {
		
		AST selectExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST selectExpr_AST = null;
		
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case INSERTINTO_EXPR:
		{
			insertIntoExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case SELECTION_EXPR:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		selectClause(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		fromClause(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case WHERE_EXPR:
		{
			whereClause(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		case HAVING_EXPR:
		case GROUP_BY_EXPR:
		case ORDER_BY_EXPR:
		case EVENT_LIMIT_EXPR:
		case SEC_LIMIT_EXPR:
		case MIN_LIMIT_EXPR:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case GROUP_BY_EXPR:
		{
			groupByClause(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		case HAVING_EXPR:
		case ORDER_BY_EXPR:
		case EVENT_LIMIT_EXPR:
		case SEC_LIMIT_EXPR:
		case MIN_LIMIT_EXPR:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case HAVING_EXPR:
		{
			havingClause(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		case ORDER_BY_EXPR:
		case EVENT_LIMIT_EXPR:
		case SEC_LIMIT_EXPR:
		case MIN_LIMIT_EXPR:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case EVENT_LIMIT_EXPR:
		case SEC_LIMIT_EXPR:
		case MIN_LIMIT_EXPR:
		{
			outputLimitExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		case ORDER_BY_EXPR:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case ORDER_BY_EXPR:
		{
			orderByClause(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		selectExpr_AST = (AST)currentAST.root;
		returnAST = selectExpr_AST;
		_retTree = _t;
	}
	
	public final void createWindowExpr(AST _t) throws RecognitionException {
		
		AST createWindowExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST createWindowExpr_AST = null;
		AST i = null;
		AST i_AST = null;
		
		AST __t445 = _t;
		i = _t==ASTNULL ? null :(AST)_t;
		AST i_AST_in = null;
		i_AST = astFactory.create(i);
		astFactory.addASTChild(currentAST, i_AST);
		ASTPair __currentAST445 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,CREATE_WINDOW_EXPR);
		_t = _t.getFirstChild();
		AST tmp1_AST = null;
		AST tmp1_AST_in = null;
		tmp1_AST = astFactory.create((AST)_t);
		tmp1_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp1_AST);
		match(_t,IDENT);
		_t = _t.getNextSibling();
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case VIEW_EXPR:
		{
			viewListExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case CLASS_IDENT:
		case CREATE_WINDOW_SELECT_EXPR:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case CREATE_WINDOW_SELECT_EXPR:
		{
			createSelectionList(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case CLASS_IDENT:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		AST tmp2_AST = null;
		AST tmp2_AST_in = null;
		tmp2_AST = astFactory.create((AST)_t);
		tmp2_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp2_AST);
		match(_t,CLASS_IDENT);
		_t = _t.getNextSibling();
		leaveNode(i_AST);
		currentAST = __currentAST445;
		_t = __t445;
		_t = _t.getNextSibling();
		createWindowExpr_AST = (AST)currentAST.root;
		returnAST = createWindowExpr_AST;
		_retTree = _t;
	}
	
	public final void createVariableExpr(AST _t) throws RecognitionException {
		
		AST createVariableExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST createVariableExpr_AST = null;
		AST i = null;
		AST i_AST = null;
		
		AST __t449 = _t;
		i = _t==ASTNULL ? null :(AST)_t;
		AST i_AST_in = null;
		i_AST = astFactory.create(i);
		astFactory.addASTChild(currentAST, i_AST);
		ASTPair __currentAST449 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,CREATE_VARIABLE_EXPR);
		_t = _t.getFirstChild();
		AST tmp3_AST = null;
		AST tmp3_AST_in = null;
		tmp3_AST = astFactory.create((AST)_t);
		tmp3_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp3_AST);
		match(_t,IDENT);
		_t = _t.getNextSibling();
		AST tmp4_AST = null;
		AST tmp4_AST_in = null;
		tmp4_AST = astFactory.create((AST)_t);
		tmp4_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp4_AST);
		match(_t,IDENT);
		_t = _t.getNextSibling();
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case IN_SET:
		case BETWEEN:
		case LIKE:
		case REGEXP:
		case NOT_EXPR:
		case SUM:
		case AVG:
		case COALESCE:
		case MEDIAN:
		case STDDEV:
		case AVEDEV:
		case COUNT:
		case CASE:
		case CASE2:
		case PREVIOUS:
		case PRIOR:
		case EXISTS:
		case INSTANCEOF:
		case CAST:
		case CURRENT_TIMESTAMP:
		case EVAL_AND_EXPR:
		case EVAL_OR_EXPR:
		case EVAL_EQUALS_EXPR:
		case EVAL_NOTEQUALS_EXPR:
		case EVENT_PROP_EXPR:
		case CONCAT:
		case LIB_FUNCTION:
		case ARRAY_EXPR:
		case NOT_IN_SET:
		case NOT_BETWEEN:
		case NOT_LIKE:
		case NOT_REGEXP:
		case IN_RANGE:
		case NOT_IN_RANGE:
		case SUBSELECT_EXPR:
		case EXISTS_SUBSELECT_EXPR:
		case IN_SUBSELECT_EXPR:
		case NOT_IN_SUBSELECT_EXPR:
		case SUBSTITUTION:
		case INT_TYPE:
		case LONG_TYPE:
		case FLOAT_TYPE:
		case DOUBLE_TYPE:
		case STRING_TYPE:
		case BOOL_TYPE:
		case NULL_TYPE:
		case MINUS:
		case PLUS:
		case STAR:
		case BAND:
		case BOR:
		case BXOR:
		case LT:
		case GT:
		case LE:
		case GE:
		case DIV:
		case MOD:
		{
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		leaveNode(i_AST);
		currentAST = __currentAST449;
		_t = __t449;
		_t = _t.getNextSibling();
		createVariableExpr_AST = (AST)currentAST.root;
		returnAST = createVariableExpr_AST;
		_retTree = _t;
	}
	
	public final void onExpr(AST _t) throws RecognitionException {
		
		AST onExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST onExpr_AST = null;
		AST i = null;
		AST i_AST = null;
		
		AST __t422 = _t;
		i = _t==ASTNULL ? null :(AST)_t;
		AST i_AST_in = null;
		i_AST = astFactory.create(i);
		astFactory.addASTChild(currentAST, i_AST);
		ASTPair __currentAST422 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,ON_EXPR);
		_t = _t.getFirstChild();
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case EVENT_FILTER_EXPR:
		{
			eventFilterExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case PATTERN_INCL_EXPR:
		{
			patternInclusionExpression(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case IDENT:
		{
			AST tmp5_AST = null;
			AST tmp5_AST_in = null;
			tmp5_AST = astFactory.create((AST)_t);
			tmp5_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp5_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			break;
		}
		case ON_DELETE_EXPR:
		case ON_SELECT_EXPR:
		case ON_SET_EXPR:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case ON_DELETE_EXPR:
		{
			onDeleteExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case ON_SELECT_EXPR:
		{
			onSelectExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case ON_SET_EXPR:
		{
			onSetExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		leaveNode(i_AST);
		currentAST = __currentAST422;
		_t = __t422;
		_t = _t.getNextSibling();
		onExpr_AST = (AST)currentAST.root;
		returnAST = onExpr_AST;
		_retTree = _t;
	}
	
	public final void eventFilterExpr(AST _t) throws RecognitionException {
		
		AST eventFilterExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST eventFilterExpr_AST = null;
		AST f = null;
		AST f_AST = null;
		
		AST __t687 = _t;
		f = _t==ASTNULL ? null :(AST)_t;
		AST f_AST_in = null;
		f_AST = astFactory.create(f);
		astFactory.addASTChild(currentAST, f_AST);
		ASTPair __currentAST687 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,EVENT_FILTER_EXPR);
		_t = _t.getFirstChild();
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case EVENT_FILTER_NAME_TAG:
		{
			AST tmp6_AST = null;
			AST tmp6_AST_in = null;
			tmp6_AST = astFactory.create((AST)_t);
			tmp6_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp6_AST);
			match(_t,EVENT_FILTER_NAME_TAG);
			_t = _t.getNextSibling();
			break;
		}
		case CLASS_IDENT:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		AST tmp7_AST = null;
		AST tmp7_AST_in = null;
		tmp7_AST = astFactory.create((AST)_t);
		tmp7_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp7_AST);
		match(_t,CLASS_IDENT);
		_t = _t.getNextSibling();
		{
		_loop690:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_tokenSet_0.member(_t.getType()))) {
				valueExpr(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop690;
			}
			
		} while (true);
		}
		leaveNode(f_AST);
		currentAST = __currentAST687;
		_t = __t687;
		_t = _t.getNextSibling();
		eventFilterExpr_AST = (AST)currentAST.root;
		returnAST = eventFilterExpr_AST;
		_retTree = _t;
	}
	
	public final void patternInclusionExpression(AST _t) throws RecognitionException {
		
		AST patternInclusionExpression_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST patternInclusionExpression_AST = null;
		AST p = null;
		AST p_AST = null;
		
		AST __t506 = _t;
		p = _t==ASTNULL ? null :(AST)_t;
		AST p_AST_in = null;
		p_AST = astFactory.create(p);
		astFactory.addASTChild(currentAST, p_AST);
		ASTPair __currentAST506 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,PATTERN_INCL_EXPR);
		_t = _t.getFirstChild();
		setIsPatternWalk(true);
		exprChoice(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		setIsPatternWalk(false); leaveNode(p_AST);
		currentAST = __currentAST506;
		_t = __t506;
		_t = _t.getNextSibling();
		patternInclusionExpression_AST = (AST)currentAST.root;
		returnAST = patternInclusionExpression_AST;
		_retTree = _t;
	}
	
	public final void onDeleteExpr(AST _t) throws RecognitionException {
		
		AST onDeleteExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST onDeleteExpr_AST = null;
		
		AST __t427 = _t;
		AST tmp8_AST = null;
		AST tmp8_AST_in = null;
		tmp8_AST = astFactory.create((AST)_t);
		tmp8_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp8_AST);
		ASTPair __currentAST427 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,ON_DELETE_EXPR);
		_t = _t.getFirstChild();
		onExprFrom(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case WHERE_EXPR:
		{
			whereClause(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		currentAST = __currentAST427;
		_t = __t427;
		_t = _t.getNextSibling();
		onDeleteExpr_AST = (AST)currentAST.root;
		returnAST = onDeleteExpr_AST;
		_retTree = _t;
	}
	
	public final void onSelectExpr(AST _t) throws RecognitionException {
		
		AST onSelectExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST onSelectExpr_AST = null;
		
		AST __t430 = _t;
		AST tmp9_AST = null;
		AST tmp9_AST_in = null;
		tmp9_AST = astFactory.create((AST)_t);
		tmp9_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp9_AST);
		ASTPair __currentAST430 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,ON_SELECT_EXPR);
		_t = _t.getFirstChild();
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case INSERTINTO_EXPR:
		{
			insertIntoExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case SELECTION_ELEMENT_EXPR:
		case SELECTION_STREAM:
		case WILDCARD_SELECT:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		selectionList(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		onExprFrom(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case WHERE_EXPR:
		{
			whereClause(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		case HAVING_EXPR:
		case GROUP_BY_EXPR:
		case ORDER_BY_EXPR:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case GROUP_BY_EXPR:
		{
			groupByClause(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		case HAVING_EXPR:
		case ORDER_BY_EXPR:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case HAVING_EXPR:
		{
			havingClause(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		case ORDER_BY_EXPR:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case ORDER_BY_EXPR:
		{
			orderByClause(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		currentAST = __currentAST430;
		_t = __t430;
		_t = _t.getNextSibling();
		onSelectExpr_AST = (AST)currentAST.root;
		returnAST = onSelectExpr_AST;
		_retTree = _t;
	}
	
	public final void onSetExpr(AST _t) throws RecognitionException {
		
		AST onSetExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST onSetExpr_AST = null;
		
		AST __t437 = _t;
		AST tmp10_AST = null;
		AST tmp10_AST_in = null;
		tmp10_AST = astFactory.create((AST)_t);
		tmp10_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp10_AST);
		ASTPair __currentAST437 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,ON_SET_EXPR);
		_t = _t.getFirstChild();
		onSetAssignment(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		_loop439:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_t.getType()==IDENT)) {
				onSetAssignment(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop439;
			}
			
		} while (true);
		}
		currentAST = __currentAST437;
		_t = __t437;
		_t = _t.getNextSibling();
		onSetExpr_AST = (AST)currentAST.root;
		returnAST = onSetExpr_AST;
		_retTree = _t;
	}
	
	public final void onExprFrom(AST _t) throws RecognitionException {
		
		AST onExprFrom_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST onExprFrom_AST = null;
		
		AST __t442 = _t;
		AST tmp11_AST = null;
		AST tmp11_AST_in = null;
		tmp11_AST = astFactory.create((AST)_t);
		tmp11_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp11_AST);
		ASTPair __currentAST442 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,ON_EXPR_FROM);
		_t = _t.getFirstChild();
		AST tmp12_AST = null;
		AST tmp12_AST_in = null;
		tmp12_AST = astFactory.create((AST)_t);
		tmp12_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp12_AST);
		match(_t,IDENT);
		_t = _t.getNextSibling();
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case IDENT:
		{
			AST tmp13_AST = null;
			AST tmp13_AST_in = null;
			tmp13_AST = astFactory.create((AST)_t);
			tmp13_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp13_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			break;
		}
		case 3:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		currentAST = __currentAST442;
		_t = __t442;
		_t = _t.getNextSibling();
		onExprFrom_AST = (AST)currentAST.root;
		returnAST = onExprFrom_AST;
		_retTree = _t;
	}
	
	public final void whereClause(AST _t) throws RecognitionException {
		
		AST whereClause_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST whereClause_AST = null;
		AST n = null;
		AST n_AST = null;
		
		AST __t523 = _t;
		n = _t==ASTNULL ? null :(AST)_t;
		AST n_AST_in = null;
		n_AST = astFactory.create(n);
		astFactory.addASTChild(currentAST, n_AST);
		ASTPair __currentAST523 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,WHERE_EXPR);
		_t = _t.getFirstChild();
		valueExpr(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		leaveNode(n_AST);
		currentAST = __currentAST523;
		_t = __t523;
		_t = _t.getNextSibling();
		whereClause_AST = (AST)currentAST.root;
		returnAST = whereClause_AST;
		_retTree = _t;
	}
	
	public final void insertIntoExpr(AST _t) throws RecognitionException {
		
		AST insertIntoExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST insertIntoExpr_AST = null;
		AST i = null;
		AST i_AST = null;
		
		AST __t466 = _t;
		i = _t==ASTNULL ? null :(AST)_t;
		AST i_AST_in = null;
		i_AST = astFactory.create(i);
		astFactory.addASTChild(currentAST, i_AST);
		ASTPair __currentAST466 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,INSERTINTO_EXPR);
		_t = _t.getFirstChild();
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case ISTREAM:
		{
			AST tmp14_AST = null;
			AST tmp14_AST_in = null;
			tmp14_AST = astFactory.create((AST)_t);
			tmp14_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp14_AST);
			match(_t,ISTREAM);
			_t = _t.getNextSibling();
			break;
		}
		case RSTREAM:
		{
			AST tmp15_AST = null;
			AST tmp15_AST_in = null;
			tmp15_AST = astFactory.create((AST)_t);
			tmp15_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp15_AST);
			match(_t,RSTREAM);
			_t = _t.getNextSibling();
			break;
		}
		case IDENT:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		AST tmp16_AST = null;
		AST tmp16_AST_in = null;
		tmp16_AST = astFactory.create((AST)_t);
		tmp16_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp16_AST);
		match(_t,IDENT);
		_t = _t.getNextSibling();
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case INSERTINTO_EXPRCOL:
		{
			insertIntoExprCol(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		leaveNode(i_AST);
		currentAST = __currentAST466;
		_t = __t466;
		_t = _t.getNextSibling();
		insertIntoExpr_AST = (AST)currentAST.root;
		returnAST = insertIntoExpr_AST;
		_retTree = _t;
	}
	
	public final void selectionList(AST _t) throws RecognitionException {
		
		AST selectionList_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST selectionList_AST = null;
		
		selectionListElement(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		_loop483:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_t.getType()==SELECTION_ELEMENT_EXPR||_t.getType()==SELECTION_STREAM||_t.getType()==WILDCARD_SELECT)) {
				selectionListElement(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop483;
			}
			
		} while (true);
		}
		selectionList_AST = (AST)currentAST.root;
		returnAST = selectionList_AST;
		_retTree = _t;
	}
	
	public final void groupByClause(AST _t) throws RecognitionException {
		
		AST groupByClause_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST groupByClause_AST = null;
		AST g = null;
		AST g_AST = null;
		
		AST __t525 = _t;
		g = _t==ASTNULL ? null :(AST)_t;
		AST g_AST_in = null;
		g_AST = astFactory.create(g);
		astFactory.addASTChild(currentAST, g_AST);
		ASTPair __currentAST525 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,GROUP_BY_EXPR);
		_t = _t.getFirstChild();
		valueExpr(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		_loop527:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_tokenSet_0.member(_t.getType()))) {
				valueExpr(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop527;
			}
			
		} while (true);
		}
		currentAST = __currentAST525;
		_t = __t525;
		_t = _t.getNextSibling();
		leaveNode(g_AST);
		groupByClause_AST = (AST)currentAST.root;
		returnAST = groupByClause_AST;
		_retTree = _t;
	}
	
	public final void havingClause(AST _t) throws RecognitionException {
		
		AST havingClause_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST havingClause_AST = null;
		AST n = null;
		AST n_AST = null;
		
		AST __t536 = _t;
		n = _t==ASTNULL ? null :(AST)_t;
		AST n_AST_in = null;
		n_AST = astFactory.create(n);
		astFactory.addASTChild(currentAST, n_AST);
		ASTPair __currentAST536 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,HAVING_EXPR);
		_t = _t.getFirstChild();
		valueExpr(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		leaveNode(n_AST);
		currentAST = __currentAST536;
		_t = __t536;
		_t = _t.getNextSibling();
		havingClause_AST = (AST)currentAST.root;
		returnAST = havingClause_AST;
		_retTree = _t;
	}
	
	public final void orderByClause(AST _t) throws RecognitionException {
		
		AST orderByClause_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST orderByClause_AST = null;
		AST s = null;
		AST s_AST = null;
		
		AST __t529 = _t;
		s = _t==ASTNULL ? null :(AST)_t;
		AST s_AST_in = null;
		s_AST = astFactory.create(s);
		astFactory.addASTChild(currentAST, s_AST);
		ASTPair __currentAST529 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,ORDER_BY_EXPR);
		_t = _t.getFirstChild();
		orderByElement(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		_loop531:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_t.getType()==ORDER_ELEMENT_EXPR)) {
				orderByElement(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop531;
			}
			
		} while (true);
		}
		currentAST = __currentAST529;
		_t = __t529;
		_t = _t.getNextSibling();
		orderByClause_AST = (AST)currentAST.root;
		returnAST = orderByClause_AST;
		_retTree = _t;
	}
	
	public final void onSetAssignment(AST _t) throws RecognitionException {
		
		AST onSetAssignment_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST onSetAssignment_AST = null;
		
		AST tmp17_AST = null;
		AST tmp17_AST_in = null;
		tmp17_AST = astFactory.create((AST)_t);
		tmp17_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp17_AST);
		match(_t,IDENT);
		_t = _t.getNextSibling();
		valueExpr(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		onSetAssignment_AST = (AST)currentAST.root;
		returnAST = onSetAssignment_AST;
		_retTree = _t;
	}
	
	public final void valueExpr(AST _t) throws RecognitionException {
		
		AST valueExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST valueExpr_AST = null;
		AST c_AST = null;
		AST c = null;
		AST s_AST = null;
		AST s = null;
		AST a_AST = null;
		AST a = null;
		AST f_AST = null;
		AST f = null;
		AST l_AST = null;
		AST l = null;
		AST cs_AST = null;
		AST cs = null;
		AST in_AST = null;
		AST in = null;
		AST b_AST = null;
		AST b = null;
		AST li_AST = null;
		AST li = null;
		AST r_AST = null;
		AST r = null;
		AST arr_AST = null;
		AST arr = null;
		AST subin_AST = null;
		AST subin = null;
		AST subrow_AST = null;
		AST subrow = null;
		AST subexists_AST = null;
		AST subexists = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case INT_TYPE:
		case LONG_TYPE:
		case FLOAT_TYPE:
		case DOUBLE_TYPE:
		case STRING_TYPE:
		case BOOL_TYPE:
		case NULL_TYPE:
		{
			c = _t==ASTNULL ? null : (AST)_t;
			constant(_t);
			_t = _retTree;
			c_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(c_AST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case SUBSTITUTION:
		{
			s = _t==ASTNULL ? null : (AST)_t;
			substitution(_t);
			_t = _retTree;
			s_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(s_AST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case CONCAT:
		case MINUS:
		case PLUS:
		case STAR:
		case BAND:
		case BOR:
		case BXOR:
		case DIV:
		case MOD:
		{
			a = _t==ASTNULL ? null : (AST)_t;
			arithmeticExpr(_t);
			_t = _retTree;
			a_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(a_AST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case EVENT_PROP_EXPR:
		{
			eventPropertyExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case NOT_EXPR:
		case EVAL_AND_EXPR:
		case EVAL_OR_EXPR:
		case EVAL_EQUALS_EXPR:
		case EVAL_NOTEQUALS_EXPR:
		case LT:
		case GT:
		case LE:
		case GE:
		{
			evalExprChoice(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case SUM:
		case AVG:
		case COALESCE:
		case MEDIAN:
		case STDDEV:
		case AVEDEV:
		case COUNT:
		case PREVIOUS:
		case PRIOR:
		case EXISTS:
		case INSTANCEOF:
		case CAST:
		case CURRENT_TIMESTAMP:
		{
			f = _t==ASTNULL ? null : (AST)_t;
			builtinFunc(_t);
			_t = _retTree;
			f_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(f_AST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case LIB_FUNCTION:
		{
			l = _t==ASTNULL ? null : (AST)_t;
			libFunc(_t);
			_t = _retTree;
			l_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(l_AST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case CASE:
		case CASE2:
		{
			cs = _t==ASTNULL ? null : (AST)_t;
			caseExpr(_t);
			_t = _retTree;
			cs_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(cs_AST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case IN_SET:
		case NOT_IN_SET:
		case IN_RANGE:
		case NOT_IN_RANGE:
		{
			in = _t==ASTNULL ? null : (AST)_t;
			inExpr(_t);
			_t = _retTree;
			in_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(in_AST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case BETWEEN:
		case NOT_BETWEEN:
		{
			b = _t==ASTNULL ? null : (AST)_t;
			betweenExpr(_t);
			_t = _retTree;
			b_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(b_AST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case LIKE:
		case NOT_LIKE:
		{
			li = _t==ASTNULL ? null : (AST)_t;
			likeExpr(_t);
			_t = _retTree;
			li_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(li_AST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case REGEXP:
		case NOT_REGEXP:
		{
			r = _t==ASTNULL ? null : (AST)_t;
			regExpExpr(_t);
			_t = _retTree;
			r_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(r_AST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case ARRAY_EXPR:
		{
			arr = _t==ASTNULL ? null : (AST)_t;
			arrayExpr(_t);
			_t = _retTree;
			arr_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(arr_AST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case IN_SUBSELECT_EXPR:
		case NOT_IN_SUBSELECT_EXPR:
		{
			subin = _t==ASTNULL ? null : (AST)_t;
			subSelectInExpr(_t);
			_t = _retTree;
			subin_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(subin_AST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case SUBSELECT_EXPR:
		{
			subrow = _t==ASTNULL ? null : (AST)_t;
			subSelectRowExpr(_t);
			_t = _retTree;
			subrow_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		case EXISTS_SUBSELECT_EXPR:
		{
			subexists = _t==ASTNULL ? null : (AST)_t;
			subSelectExistsExpr(_t);
			_t = _retTree;
			subexists_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = valueExpr_AST;
		_retTree = _t;
	}
	
	public final void viewListExpr(AST _t) throws RecognitionException {
		
		AST viewListExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST viewListExpr_AST = null;
		
		viewExpr(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		_loop517:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_t.getType()==VIEW_EXPR)) {
				viewExpr(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop517;
			}
			
		} while (true);
		}
		viewListExpr_AST = (AST)currentAST.root;
		returnAST = viewListExpr_AST;
		_retTree = _t;
	}
	
	public final void createSelectionList(AST _t) throws RecognitionException {
		
		AST createSelectionList_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST createSelectionList_AST = null;
		AST s = null;
		AST s_AST = null;
		
		AST __t452 = _t;
		s = _t==ASTNULL ? null :(AST)_t;
		AST s_AST_in = null;
		s_AST = astFactory.create(s);
		astFactory.addASTChild(currentAST, s_AST);
		ASTPair __currentAST452 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,CREATE_WINDOW_SELECT_EXPR);
		_t = _t.getFirstChild();
		createSelectionListElement(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		_loop454:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_t.getType()==SELECTION_ELEMENT_EXPR||_t.getType()==WILDCARD_SELECT)) {
				createSelectionListElement(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop454;
			}
			
		} while (true);
		}
		leaveNode(s_AST);
		currentAST = __currentAST452;
		_t = __t452;
		_t = _t.getNextSibling();
		createSelectionList_AST = (AST)currentAST.root;
		returnAST = createSelectionList_AST;
		_retTree = _t;
	}
	
	public final void createSelectionListElement(AST _t) throws RecognitionException {
		
		AST createSelectionListElement_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST createSelectionListElement_AST = null;
		AST w = null;
		AST w_AST = null;
		AST s = null;
		AST s_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case WILDCARD_SELECT:
		{
			w = (AST)_t;
			AST w_AST_in = null;
			w_AST = astFactory.create(w);
			astFactory.addASTChild(currentAST, w_AST);
			match(_t,WILDCARD_SELECT);
			_t = _t.getNextSibling();
			leaveNode(w_AST);
			createSelectionListElement_AST = (AST)currentAST.root;
			break;
		}
		case SELECTION_ELEMENT_EXPR:
		{
			AST __t456 = _t;
			s = _t==ASTNULL ? null :(AST)_t;
			AST s_AST_in = null;
			s_AST = astFactory.create(s);
			astFactory.addASTChild(currentAST, s_AST);
			ASTPair __currentAST456 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,SELECTION_ELEMENT_EXPR);
			_t = _t.getFirstChild();
			eventPropertyExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case IDENT:
			{
				AST tmp18_AST = null;
				AST tmp18_AST_in = null;
				tmp18_AST = astFactory.create((AST)_t);
				tmp18_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp18_AST);
				match(_t,IDENT);
				_t = _t.getNextSibling();
				break;
			}
			case 3:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			leaveNode(s_AST);
			currentAST = __currentAST456;
			_t = __t456;
			_t = _t.getNextSibling();
			createSelectionListElement_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = createSelectionListElement_AST;
		_retTree = _t;
	}
	
	public final void eventPropertyExpr(AST _t) throws RecognitionException {
		
		AST eventPropertyExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST eventPropertyExpr_AST = null;
		AST p = null;
		AST p_AST = null;
		
		AST __t734 = _t;
		p = _t==ASTNULL ? null :(AST)_t;
		AST p_AST_in = null;
		p_AST = astFactory.create(p);
		astFactory.addASTChild(currentAST, p_AST);
		ASTPair __currentAST734 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,EVENT_PROP_EXPR);
		_t = _t.getFirstChild();
		eventPropertyAtomic(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		_loop736:
		do {
			if (_t==null) _t=ASTNULL;
			if (((_t.getType() >= EVENT_PROP_SIMPLE && _t.getType() <= EVENT_PROP_DYNAMIC_MAPPED))) {
				eventPropertyAtomic(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop736;
			}
			
		} while (true);
		}
		currentAST = __currentAST734;
		_t = __t734;
		_t = _t.getNextSibling();
		leaveNode(p_AST);
		eventPropertyExpr_AST = (AST)currentAST.root;
		returnAST = eventPropertyExpr_AST;
		_retTree = _t;
	}
	
	public final void selectClause(AST _t) throws RecognitionException {
		
		AST selectClause_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST selectClause_AST = null;
		AST s = null;
		AST s_AST = null;
		
		AST __t474 = _t;
		s = _t==ASTNULL ? null :(AST)_t;
		AST s_AST_in = null;
		s_AST = astFactory.create(s);
		astFactory.addASTChild(currentAST, s_AST);
		ASTPair __currentAST474 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,SELECTION_EXPR);
		_t = _t.getFirstChild();
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case RSTREAM:
		{
			AST tmp19_AST = null;
			AST tmp19_AST_in = null;
			tmp19_AST = astFactory.create((AST)_t);
			tmp19_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp19_AST);
			match(_t,RSTREAM);
			_t = _t.getNextSibling();
			break;
		}
		case ISTREAM:
		{
			AST tmp20_AST = null;
			AST tmp20_AST_in = null;
			tmp20_AST = astFactory.create((AST)_t);
			tmp20_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp20_AST);
			match(_t,ISTREAM);
			_t = _t.getNextSibling();
			break;
		}
		case SELECTION_ELEMENT_EXPR:
		case SELECTION_STREAM:
		case WILDCARD_SELECT:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		selectionList(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		leaveNode(s_AST);
		currentAST = __currentAST474;
		_t = __t474;
		_t = _t.getNextSibling();
		selectClause_AST = (AST)currentAST.root;
		returnAST = selectClause_AST;
		_retTree = _t;
	}
	
	public final void fromClause(AST _t) throws RecognitionException {
		
		AST fromClause_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST fromClause_AST = null;
		
		streamExpression(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		_loop480:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_t.getType()==STREAM_EXPR)) {
				streamExpression(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				{
				_loop479:
				do {
					if (_t==null) _t=ASTNULL;
					if (((_t.getType() >= LEFT_OUTERJOIN_EXPR && _t.getType() <= FULL_OUTERJOIN_EXPR))) {
						outerJoin(_t);
						_t = _retTree;
						astFactory.addASTChild(currentAST, returnAST);
					}
					else {
						break _loop479;
					}
					
				} while (true);
				}
			}
			else {
				break _loop480;
			}
			
		} while (true);
		}
		fromClause_AST = (AST)currentAST.root;
		returnAST = fromClause_AST;
		_retTree = _t;
	}
	
	public final void outputLimitExpr(AST _t) throws RecognitionException {
		
		AST outputLimitExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST outputLimitExpr_AST = null;
		AST e = null;
		AST e_AST = null;
		AST sec = null;
		AST sec_AST = null;
		AST min = null;
		AST min_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case EVENT_LIMIT_EXPR:
		{
			AST __t538 = _t;
			e = _t==ASTNULL ? null :(AST)_t;
			AST e_AST_in = null;
			e_AST = astFactory.create(e);
			astFactory.addASTChild(currentAST, e_AST);
			ASTPair __currentAST538 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVENT_LIMIT_EXPR);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case ALL:
			{
				AST tmp21_AST = null;
				AST tmp21_AST_in = null;
				tmp21_AST = astFactory.create((AST)_t);
				tmp21_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp21_AST);
				match(_t,ALL);
				_t = _t.getNextSibling();
				break;
			}
			case FIRST:
			{
				AST tmp22_AST = null;
				AST tmp22_AST_in = null;
				tmp22_AST = astFactory.create((AST)_t);
				tmp22_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp22_AST);
				match(_t,FIRST);
				_t = _t.getNextSibling();
				break;
			}
			case LAST:
			{
				AST tmp23_AST = null;
				AST tmp23_AST_in = null;
				tmp23_AST = astFactory.create((AST)_t);
				tmp23_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp23_AST);
				match(_t,LAST);
				_t = _t.getNextSibling();
				break;
			}
			case SNAPSHOT:
			{
				AST tmp24_AST = null;
				AST tmp24_AST_in = null;
				tmp24_AST = astFactory.create((AST)_t);
				tmp24_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp24_AST);
				match(_t,SNAPSHOT);
				_t = _t.getNextSibling();
				break;
			}
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case IDENT:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			{
				number(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case IDENT:
			{
				AST tmp25_AST = null;
				AST tmp25_AST_in = null;
				tmp25_AST = astFactory.create((AST)_t);
				tmp25_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp25_AST);
				match(_t,IDENT);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			leaveNode(e_AST);
			currentAST = __currentAST538;
			_t = __t538;
			_t = _t.getNextSibling();
			outputLimitExpr_AST = (AST)currentAST.root;
			break;
		}
		case SEC_LIMIT_EXPR:
		{
			AST __t541 = _t;
			sec = _t==ASTNULL ? null :(AST)_t;
			AST sec_AST_in = null;
			sec_AST = astFactory.create(sec);
			astFactory.addASTChild(currentAST, sec_AST);
			ASTPair __currentAST541 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,SEC_LIMIT_EXPR);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case ALL:
			{
				AST tmp26_AST = null;
				AST tmp26_AST_in = null;
				tmp26_AST = astFactory.create((AST)_t);
				tmp26_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp26_AST);
				match(_t,ALL);
				_t = _t.getNextSibling();
				break;
			}
			case FIRST:
			{
				AST tmp27_AST = null;
				AST tmp27_AST_in = null;
				tmp27_AST = astFactory.create((AST)_t);
				tmp27_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp27_AST);
				match(_t,FIRST);
				_t = _t.getNextSibling();
				break;
			}
			case LAST:
			{
				AST tmp28_AST = null;
				AST tmp28_AST_in = null;
				tmp28_AST = astFactory.create((AST)_t);
				tmp28_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp28_AST);
				match(_t,LAST);
				_t = _t.getNextSibling();
				break;
			}
			case SNAPSHOT:
			{
				AST tmp29_AST = null;
				AST tmp29_AST_in = null;
				tmp29_AST = astFactory.create((AST)_t);
				tmp29_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp29_AST);
				match(_t,SNAPSHOT);
				_t = _t.getNextSibling();
				break;
			}
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case IDENT:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			{
				number(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case IDENT:
			{
				AST tmp30_AST = null;
				AST tmp30_AST_in = null;
				tmp30_AST = astFactory.create((AST)_t);
				tmp30_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp30_AST);
				match(_t,IDENT);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			leaveNode(sec_AST);
			currentAST = __currentAST541;
			_t = __t541;
			_t = _t.getNextSibling();
			outputLimitExpr_AST = (AST)currentAST.root;
			break;
		}
		case MIN_LIMIT_EXPR:
		{
			AST __t544 = _t;
			min = _t==ASTNULL ? null :(AST)_t;
			AST min_AST_in = null;
			min_AST = astFactory.create(min);
			astFactory.addASTChild(currentAST, min_AST);
			ASTPair __currentAST544 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,MIN_LIMIT_EXPR);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case ALL:
			{
				AST tmp31_AST = null;
				AST tmp31_AST_in = null;
				tmp31_AST = astFactory.create((AST)_t);
				tmp31_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp31_AST);
				match(_t,ALL);
				_t = _t.getNextSibling();
				break;
			}
			case FIRST:
			{
				AST tmp32_AST = null;
				AST tmp32_AST_in = null;
				tmp32_AST = astFactory.create((AST)_t);
				tmp32_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp32_AST);
				match(_t,FIRST);
				_t = _t.getNextSibling();
				break;
			}
			case LAST:
			{
				AST tmp33_AST = null;
				AST tmp33_AST_in = null;
				tmp33_AST = astFactory.create((AST)_t);
				tmp33_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp33_AST);
				match(_t,LAST);
				_t = _t.getNextSibling();
				break;
			}
			case SNAPSHOT:
			{
				AST tmp34_AST = null;
				AST tmp34_AST_in = null;
				tmp34_AST = astFactory.create((AST)_t);
				tmp34_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp34_AST);
				match(_t,SNAPSHOT);
				_t = _t.getNextSibling();
				break;
			}
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case IDENT:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			{
				number(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case IDENT:
			{
				AST tmp35_AST = null;
				AST tmp35_AST_in = null;
				tmp35_AST = astFactory.create((AST)_t);
				tmp35_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp35_AST);
				match(_t,IDENT);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			leaveNode(min_AST);
			currentAST = __currentAST544;
			_t = __t544;
			_t = _t.getNextSibling();
			outputLimitExpr_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = outputLimitExpr_AST;
		_retTree = _t;
	}
	
	public final void insertIntoExprCol(AST _t) throws RecognitionException {
		
		AST insertIntoExprCol_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST insertIntoExprCol_AST = null;
		AST i = null;
		AST i_AST = null;
		
		AST __t470 = _t;
		i = _t==ASTNULL ? null :(AST)_t;
		AST i_AST_in = null;
		i_AST = astFactory.create(i);
		astFactory.addASTChild(currentAST, i_AST);
		ASTPair __currentAST470 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,INSERTINTO_EXPRCOL);
		_t = _t.getFirstChild();
		AST tmp36_AST = null;
		AST tmp36_AST_in = null;
		tmp36_AST = astFactory.create((AST)_t);
		tmp36_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp36_AST);
		match(_t,IDENT);
		_t = _t.getNextSibling();
		{
		_loop472:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_t.getType()==IDENT)) {
				AST tmp37_AST = null;
				AST tmp37_AST_in = null;
				tmp37_AST = astFactory.create((AST)_t);
				tmp37_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp37_AST);
				match(_t,IDENT);
				_t = _t.getNextSibling();
			}
			else {
				break _loop472;
			}
			
		} while (true);
		}
		currentAST = __currentAST470;
		_t = __t470;
		_t = _t.getNextSibling();
		insertIntoExprCol_AST = (AST)currentAST.root;
		returnAST = insertIntoExprCol_AST;
		_retTree = _t;
	}
	
	public final void streamExpression(AST _t) throws RecognitionException {
		
		AST streamExpression_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST streamExpression_AST = null;
		AST v = null;
		AST v_AST = null;
		
		AST __t501 = _t;
		v = _t==ASTNULL ? null :(AST)_t;
		AST v_AST_in = null;
		v_AST = astFactory.create(v);
		astFactory.addASTChild(currentAST, v_AST);
		ASTPair __currentAST501 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,STREAM_EXPR);
		_t = _t.getFirstChild();
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case EVENT_FILTER_EXPR:
		{
			eventFilterExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case PATTERN_INCL_EXPR:
		{
			patternInclusionExpression(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case DATABASE_JOIN_EXPR:
		{
			databaseJoinExpression(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case METHOD_JOIN_EXPR:
		{
			methodJoinExpression(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case VIEW_EXPR:
		{
			viewListExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		case IDENT:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case IDENT:
		{
			AST tmp38_AST = null;
			AST tmp38_AST_in = null;
			tmp38_AST = astFactory.create((AST)_t);
			tmp38_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp38_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			break;
		}
		case 3:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		leaveNode(v_AST);
		currentAST = __currentAST501;
		_t = __t501;
		_t = _t.getNextSibling();
		streamExpression_AST = (AST)currentAST.root;
		returnAST = streamExpression_AST;
		_retTree = _t;
	}
	
	public final void outerJoin(AST _t) throws RecognitionException {
		
		AST outerJoin_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST outerJoin_AST = null;
		
		outerJoinIdent(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		outerJoin_AST = (AST)currentAST.root;
		returnAST = outerJoin_AST;
		_retTree = _t;
	}
	
	public final void selectionListElement(AST _t) throws RecognitionException {
		
		AST selectionListElement_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST selectionListElement_AST = null;
		AST w = null;
		AST w_AST = null;
		AST e = null;
		AST e_AST = null;
		AST s = null;
		AST s_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case WILDCARD_SELECT:
		{
			w = (AST)_t;
			AST w_AST_in = null;
			w_AST = astFactory.create(w);
			astFactory.addASTChild(currentAST, w_AST);
			match(_t,WILDCARD_SELECT);
			_t = _t.getNextSibling();
			leaveNode(w_AST);
			selectionListElement_AST = (AST)currentAST.root;
			break;
		}
		case SELECTION_ELEMENT_EXPR:
		{
			AST __t485 = _t;
			e = _t==ASTNULL ? null :(AST)_t;
			AST e_AST_in = null;
			e_AST = astFactory.create(e);
			astFactory.addASTChild(currentAST, e_AST);
			ASTPair __currentAST485 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,SELECTION_ELEMENT_EXPR);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case IDENT:
			{
				AST tmp39_AST = null;
				AST tmp39_AST_in = null;
				tmp39_AST = astFactory.create((AST)_t);
				tmp39_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp39_AST);
				match(_t,IDENT);
				_t = _t.getNextSibling();
				break;
			}
			case 3:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			leaveNode(e_AST);
			currentAST = __currentAST485;
			_t = __t485;
			_t = _t.getNextSibling();
			selectionListElement_AST = (AST)currentAST.root;
			break;
		}
		case SELECTION_STREAM:
		{
			AST __t487 = _t;
			s = _t==ASTNULL ? null :(AST)_t;
			AST s_AST_in = null;
			s_AST = astFactory.create(s);
			astFactory.addASTChild(currentAST, s_AST);
			ASTPair __currentAST487 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,SELECTION_STREAM);
			_t = _t.getFirstChild();
			AST tmp40_AST = null;
			AST tmp40_AST_in = null;
			tmp40_AST = astFactory.create((AST)_t);
			tmp40_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp40_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case IDENT:
			{
				AST tmp41_AST = null;
				AST tmp41_AST_in = null;
				tmp41_AST = astFactory.create((AST)_t);
				tmp41_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp41_AST);
				match(_t,IDENT);
				_t = _t.getNextSibling();
				break;
			}
			case 3:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			leaveNode(s_AST);
			currentAST = __currentAST487;
			_t = __t487;
			_t = _t.getNextSibling();
			selectionListElement_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = selectionListElement_AST;
		_retTree = _t;
	}
	
	public final void outerJoinIdent(AST _t) throws RecognitionException {
		
		AST outerJoinIdent_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST outerJoinIdent_AST = null;
		AST tl = null;
		AST tl_AST = null;
		AST tr = null;
		AST tr_AST = null;
		AST tf = null;
		AST tf_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case LEFT_OUTERJOIN_EXPR:
		{
			AST __t491 = _t;
			tl = _t==ASTNULL ? null :(AST)_t;
			AST tl_AST_in = null;
			tl_AST = astFactory.create(tl);
			astFactory.addASTChild(currentAST, tl_AST);
			ASTPair __currentAST491 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,LEFT_OUTERJOIN_EXPR);
			_t = _t.getFirstChild();
			eventPropertyExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			eventPropertyExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop493:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_t.getType()==EVENT_PROP_EXPR)) {
					eventPropertyExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
					eventPropertyExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop493;
				}
				
			} while (true);
			}
			leaveNode(tl_AST);
			currentAST = __currentAST491;
			_t = __t491;
			_t = _t.getNextSibling();
			outerJoinIdent_AST = (AST)currentAST.root;
			break;
		}
		case RIGHT_OUTERJOIN_EXPR:
		{
			AST __t494 = _t;
			tr = _t==ASTNULL ? null :(AST)_t;
			AST tr_AST_in = null;
			tr_AST = astFactory.create(tr);
			astFactory.addASTChild(currentAST, tr_AST);
			ASTPair __currentAST494 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,RIGHT_OUTERJOIN_EXPR);
			_t = _t.getFirstChild();
			eventPropertyExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			eventPropertyExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop496:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_t.getType()==EVENT_PROP_EXPR)) {
					eventPropertyExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
					eventPropertyExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop496;
				}
				
			} while (true);
			}
			leaveNode(tr_AST);
			currentAST = __currentAST494;
			_t = __t494;
			_t = _t.getNextSibling();
			outerJoinIdent_AST = (AST)currentAST.root;
			break;
		}
		case FULL_OUTERJOIN_EXPR:
		{
			AST __t497 = _t;
			tf = _t==ASTNULL ? null :(AST)_t;
			AST tf_AST_in = null;
			tf_AST = astFactory.create(tf);
			astFactory.addASTChild(currentAST, tf_AST);
			ASTPair __currentAST497 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,FULL_OUTERJOIN_EXPR);
			_t = _t.getFirstChild();
			eventPropertyExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			eventPropertyExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop499:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_t.getType()==EVENT_PROP_EXPR)) {
					eventPropertyExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
					eventPropertyExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop499;
				}
				
			} while (true);
			}
			leaveNode(tf_AST);
			currentAST = __currentAST497;
			_t = __t497;
			_t = _t.getNextSibling();
			outerJoinIdent_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = outerJoinIdent_AST;
		_retTree = _t;
	}
	
	public final void databaseJoinExpression(AST _t) throws RecognitionException {
		
		AST databaseJoinExpression_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST databaseJoinExpression_AST = null;
		AST d = null;
		AST d_AST = null;
		
		AST __t508 = _t;
		d = _t==ASTNULL ? null :(AST)_t;
		AST d_AST_in = null;
		d_AST = astFactory.create(d);
		astFactory.addASTChild(currentAST, d_AST);
		ASTPair __currentAST508 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,DATABASE_JOIN_EXPR);
		_t = _t.getFirstChild();
		AST tmp42_AST = null;
		AST tmp42_AST_in = null;
		tmp42_AST = astFactory.create((AST)_t);
		tmp42_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp42_AST);
		match(_t,IDENT);
		_t = _t.getNextSibling();
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case STRING_LITERAL:
		{
			AST tmp43_AST = null;
			AST tmp43_AST_in = null;
			tmp43_AST = astFactory.create((AST)_t);
			tmp43_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp43_AST);
			match(_t,STRING_LITERAL);
			_t = _t.getNextSibling();
			break;
		}
		case QUOTED_STRING_LITERAL:
		{
			AST tmp44_AST = null;
			AST tmp44_AST_in = null;
			tmp44_AST = astFactory.create((AST)_t);
			tmp44_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp44_AST);
			match(_t,QUOTED_STRING_LITERAL);
			_t = _t.getNextSibling();
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case STRING_LITERAL:
		{
			AST tmp45_AST = null;
			AST tmp45_AST_in = null;
			tmp45_AST = astFactory.create((AST)_t);
			tmp45_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp45_AST);
			match(_t,STRING_LITERAL);
			_t = _t.getNextSibling();
			break;
		}
		case QUOTED_STRING_LITERAL:
		{
			AST tmp46_AST = null;
			AST tmp46_AST_in = null;
			tmp46_AST = astFactory.create((AST)_t);
			tmp46_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp46_AST);
			match(_t,QUOTED_STRING_LITERAL);
			_t = _t.getNextSibling();
			break;
		}
		case 3:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		currentAST = __currentAST508;
		_t = __t508;
		_t = _t.getNextSibling();
		databaseJoinExpression_AST = (AST)currentAST.root;
		returnAST = databaseJoinExpression_AST;
		_retTree = _t;
	}
	
	public final void methodJoinExpression(AST _t) throws RecognitionException {
		
		AST methodJoinExpression_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST methodJoinExpression_AST = null;
		AST d = null;
		AST d_AST = null;
		
		AST __t512 = _t;
		d = _t==ASTNULL ? null :(AST)_t;
		AST d_AST_in = null;
		d_AST = astFactory.create(d);
		astFactory.addASTChild(currentAST, d_AST);
		ASTPair __currentAST512 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,METHOD_JOIN_EXPR);
		_t = _t.getFirstChild();
		AST tmp47_AST = null;
		AST tmp47_AST_in = null;
		tmp47_AST = astFactory.create((AST)_t);
		tmp47_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp47_AST);
		match(_t,IDENT);
		_t = _t.getNextSibling();
		AST tmp48_AST = null;
		AST tmp48_AST_in = null;
		tmp48_AST = astFactory.create((AST)_t);
		tmp48_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp48_AST);
		match(_t,CLASS_IDENT);
		_t = _t.getNextSibling();
		{
		_loop514:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_tokenSet_0.member(_t.getType()))) {
				valueExpr(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop514;
			}
			
		} while (true);
		}
		currentAST = __currentAST512;
		_t = __t512;
		_t = _t.getNextSibling();
		methodJoinExpression_AST = (AST)currentAST.root;
		returnAST = methodJoinExpression_AST;
		_retTree = _t;
	}
	
	public final void exprChoice(AST _t) throws RecognitionException {
		
		AST exprChoice_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST exprChoice_AST = null;
		AST a = null;
		AST a_AST = null;
		AST n = null;
		AST n_AST = null;
		AST g = null;
		AST g_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case EVENT_FILTER_EXPR:
		case OBSERVER_EXPR:
		{
			atomicExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			exprChoice_AST = (AST)currentAST.root;
			break;
		}
		case OR_EXPR:
		case AND_EXPR:
		case FOLLOWED_BY_EXPR:
		{
			patternOp(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			exprChoice_AST = (AST)currentAST.root;
			break;
		}
		case EVERY_EXPR:
		{
			AST __t667 = _t;
			a = _t==ASTNULL ? null :(AST)_t;
			AST a_AST_in = null;
			a_AST = astFactory.create(a);
			astFactory.addASTChild(currentAST, a_AST);
			ASTPair __currentAST667 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVERY_EXPR);
			_t = _t.getFirstChild();
			exprChoice(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(a_AST);
			currentAST = __currentAST667;
			_t = __t667;
			_t = _t.getNextSibling();
			exprChoice_AST = (AST)currentAST.root;
			break;
		}
		case NOT_EXPR:
		{
			AST __t668 = _t;
			n = _t==ASTNULL ? null :(AST)_t;
			AST n_AST_in = null;
			n_AST = astFactory.create(n);
			astFactory.addASTChild(currentAST, n_AST);
			ASTPair __currentAST668 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NOT_EXPR);
			_t = _t.getFirstChild();
			exprChoice(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(n_AST);
			currentAST = __currentAST668;
			_t = __t668;
			_t = _t.getNextSibling();
			exprChoice_AST = (AST)currentAST.root;
			break;
		}
		case GUARD_EXPR:
		{
			AST __t669 = _t;
			g = _t==ASTNULL ? null :(AST)_t;
			AST g_AST_in = null;
			g_AST = astFactory.create(g);
			astFactory.addASTChild(currentAST, g_AST);
			ASTPair __currentAST669 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,GUARD_EXPR);
			_t = _t.getFirstChild();
			exprChoice(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			AST tmp49_AST = null;
			AST tmp49_AST_in = null;
			tmp49_AST = astFactory.create((AST)_t);
			tmp49_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp49_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			AST tmp50_AST = null;
			AST tmp50_AST_in = null;
			tmp50_AST = astFactory.create((AST)_t);
			tmp50_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp50_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			{
			_loop671:
			do {
				if (_t==null) _t=ASTNULL;
				switch ( _t.getType()) {
				case INT_TYPE:
				case LONG_TYPE:
				case FLOAT_TYPE:
				case DOUBLE_TYPE:
				case STRING_TYPE:
				case BOOL_TYPE:
				case NULL_TYPE:
				{
					constant(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
					break;
				}
				case TIME_PERIOD:
				{
					time_period(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
					break;
				}
				default:
				{
					break _loop671;
				}
				}
			} while (true);
			}
			leaveNode(g_AST);
			currentAST = __currentAST669;
			_t = __t669;
			_t = _t.getNextSibling();
			exprChoice_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = exprChoice_AST;
		_retTree = _t;
	}
	
	public final void viewExpr(AST _t) throws RecognitionException {
		
		AST viewExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST viewExpr_AST = null;
		AST n = null;
		AST n_AST = null;
		
		AST __t519 = _t;
		n = _t==ASTNULL ? null :(AST)_t;
		AST n_AST_in = null;
		n_AST = astFactory.create(n);
		astFactory.addASTChild(currentAST, n_AST);
		ASTPair __currentAST519 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,VIEW_EXPR);
		_t = _t.getFirstChild();
		AST tmp51_AST = null;
		AST tmp51_AST_in = null;
		tmp51_AST = astFactory.create((AST)_t);
		tmp51_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp51_AST);
		match(_t,IDENT);
		_t = _t.getNextSibling();
		AST tmp52_AST = null;
		AST tmp52_AST_in = null;
		tmp52_AST = astFactory.create((AST)_t);
		tmp52_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp52_AST);
		match(_t,IDENT);
		_t = _t.getNextSibling();
		{
		_loop521:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_tokenSet_1.member(_t.getType()))) {
				parameter(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop521;
			}
			
		} while (true);
		}
		leaveNode(n_AST);
		currentAST = __currentAST519;
		_t = __t519;
		_t = _t.getNextSibling();
		viewExpr_AST = (AST)currentAST.root;
		returnAST = viewExpr_AST;
		_retTree = _t;
	}
	
	public final void parameter(AST _t) throws RecognitionException {
		
		AST parameter_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST parameter_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case LAST:
		case LW:
		case NUMERIC_PARAM_RANGE:
		case NUMERIC_PARAM_FREQUENCY:
		case TIME_PERIOD:
		case LAST_OPERATOR:
		case WEEKDAY_OPERATOR:
		case INT_TYPE:
		case LONG_TYPE:
		case FLOAT_TYPE:
		case DOUBLE_TYPE:
		case STRING_TYPE:
		case BOOL_TYPE:
		case NULL_TYPE:
		case STAR:
		{
			singleParameter(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			parameter_AST = (AST)currentAST.root;
			break;
		}
		case NUMERIC_PARAM_LIST:
		{
			AST __t747 = _t;
			AST tmp53_AST = null;
			AST tmp53_AST_in = null;
			tmp53_AST = astFactory.create((AST)_t);
			tmp53_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp53_AST);
			ASTPair __currentAST747 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NUMERIC_PARAM_LIST);
			_t = _t.getFirstChild();
			{
			int _cnt749=0;
			_loop749:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_t.getType()==NUMERIC_PARAM_RANGE||_t.getType()==NUM_INT||_t.getType()==NUMERIC_PARAM_FREQUENCE)) {
					numericParameterList(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					if ( _cnt749>=1 ) { break _loop749; } else {throw new NoViableAltException(_t);}
				}
				
				_cnt749++;
			} while (true);
			}
			currentAST = __currentAST747;
			_t = __t747;
			_t = _t.getNextSibling();
			parameter_AST = (AST)currentAST.root;
			break;
		}
		case ARRAY_PARAM_LIST:
		{
			AST __t750 = _t;
			AST tmp54_AST = null;
			AST tmp54_AST_in = null;
			tmp54_AST = astFactory.create((AST)_t);
			tmp54_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp54_AST);
			ASTPair __currentAST750 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,ARRAY_PARAM_LIST);
			_t = _t.getFirstChild();
			{
			_loop752:
			do {
				if (_t==null) _t=ASTNULL;
				if (((_t.getType() >= INT_TYPE && _t.getType() <= NULL_TYPE))) {
					constant(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop752;
				}
				
			} while (true);
			}
			currentAST = __currentAST750;
			_t = __t750;
			_t = _t.getNextSibling();
			parameter_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = parameter_AST;
		_retTree = _t;
	}
	
	public final void orderByElement(AST _t) throws RecognitionException {
		
		AST orderByElement_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST orderByElement_AST = null;
		AST e = null;
		AST e_AST = null;
		
		AST __t533 = _t;
		e = _t==ASTNULL ? null :(AST)_t;
		AST e_AST_in = null;
		e_AST = astFactory.create(e);
		astFactory.addASTChild(currentAST, e_AST);
		ASTPair __currentAST533 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,ORDER_ELEMENT_EXPR);
		_t = _t.getFirstChild();
		valueExpr(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case ASC:
		{
			AST tmp55_AST = null;
			AST tmp55_AST_in = null;
			tmp55_AST = astFactory.create((AST)_t);
			tmp55_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp55_AST);
			match(_t,ASC);
			_t = _t.getNextSibling();
			break;
		}
		case DESC:
		{
			AST tmp56_AST = null;
			AST tmp56_AST_in = null;
			tmp56_AST = astFactory.create((AST)_t);
			tmp56_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp56_AST);
			match(_t,DESC);
			_t = _t.getNextSibling();
			break;
		}
		case 3:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		leaveNode(e_AST);
		currentAST = __currentAST533;
		_t = __t533;
		_t = _t.getNextSibling();
		orderByElement_AST = (AST)currentAST.root;
		returnAST = orderByElement_AST;
		_retTree = _t;
	}
	
	public final void number(AST _t) throws RecognitionException {
		
		AST number_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST number_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case INT_TYPE:
		{
			AST tmp57_AST = null;
			AST tmp57_AST_in = null;
			tmp57_AST = astFactory.create((AST)_t);
			tmp57_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp57_AST);
			match(_t,INT_TYPE);
			_t = _t.getNextSibling();
			number_AST = (AST)currentAST.root;
			break;
		}
		case LONG_TYPE:
		{
			AST tmp58_AST = null;
			AST tmp58_AST_in = null;
			tmp58_AST = astFactory.create((AST)_t);
			tmp58_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp58_AST);
			match(_t,LONG_TYPE);
			_t = _t.getNextSibling();
			number_AST = (AST)currentAST.root;
			break;
		}
		case FLOAT_TYPE:
		{
			AST tmp59_AST = null;
			AST tmp59_AST_in = null;
			tmp59_AST = astFactory.create((AST)_t);
			tmp59_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp59_AST);
			match(_t,FLOAT_TYPE);
			_t = _t.getNextSibling();
			number_AST = (AST)currentAST.root;
			break;
		}
		case DOUBLE_TYPE:
		{
			AST tmp60_AST = null;
			AST tmp60_AST_in = null;
			tmp60_AST = astFactory.create((AST)_t);
			tmp60_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp60_AST);
			match(_t,DOUBLE_TYPE);
			_t = _t.getNextSibling();
			number_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = number_AST;
		_retTree = _t;
	}
	
	public final void relationalExpr(AST _t) throws RecognitionException {
		
		AST relationalExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST relationalExpr_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case LT:
		{
			AST __t548 = _t;
			AST tmp61_AST = null;
			AST tmp61_AST_in = null;
			tmp61_AST = astFactory.create((AST)_t);
			tmp61_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp61_AST);
			ASTPair __currentAST548 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,LT);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST548;
			_t = __t548;
			_t = _t.getNextSibling();
			relationalExpr_AST = (AST)currentAST.root;
			break;
		}
		case GT:
		{
			AST __t549 = _t;
			AST tmp62_AST = null;
			AST tmp62_AST_in = null;
			tmp62_AST = astFactory.create((AST)_t);
			tmp62_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp62_AST);
			ASTPair __currentAST549 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,GT);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST549;
			_t = __t549;
			_t = _t.getNextSibling();
			relationalExpr_AST = (AST)currentAST.root;
			break;
		}
		case LE:
		{
			AST __t550 = _t;
			AST tmp63_AST = null;
			AST tmp63_AST_in = null;
			tmp63_AST = astFactory.create((AST)_t);
			tmp63_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp63_AST);
			ASTPair __currentAST550 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,LE);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST550;
			_t = __t550;
			_t = _t.getNextSibling();
			relationalExpr_AST = (AST)currentAST.root;
			break;
		}
		case GE:
		{
			AST __t551 = _t;
			AST tmp64_AST = null;
			AST tmp64_AST_in = null;
			tmp64_AST = astFactory.create((AST)_t);
			tmp64_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp64_AST);
			ASTPair __currentAST551 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,GE);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST551;
			_t = __t551;
			_t = _t.getNextSibling();
			relationalExpr_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = relationalExpr_AST;
		_retTree = _t;
	}
	
	public final void evalExprChoice(AST _t) throws RecognitionException {
		
		AST evalExprChoice_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST evalExprChoice_AST = null;
		AST jo = null;
		AST jo_AST = null;
		AST ja = null;
		AST ja_AST = null;
		AST je = null;
		AST je_AST = null;
		AST jne = null;
		AST jne_AST = null;
		AST n = null;
		AST n_AST = null;
		AST r_AST = null;
		AST r = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case EVAL_OR_EXPR:
		{
			AST __t553 = _t;
			jo = _t==ASTNULL ? null :(AST)_t;
			AST jo_AST_in = null;
			jo_AST = astFactory.create(jo);
			astFactory.addASTChild(currentAST, jo_AST);
			ASTPair __currentAST553 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVAL_OR_EXPR);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop555:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_tokenSet_0.member(_t.getType()))) {
					valueExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop555;
				}
				
			} while (true);
			}
			leaveNode(jo_AST);
			currentAST = __currentAST553;
			_t = __t553;
			_t = _t.getNextSibling();
			evalExprChoice_AST = (AST)currentAST.root;
			break;
		}
		case EVAL_AND_EXPR:
		{
			AST __t556 = _t;
			ja = _t==ASTNULL ? null :(AST)_t;
			AST ja_AST_in = null;
			ja_AST = astFactory.create(ja);
			astFactory.addASTChild(currentAST, ja_AST);
			ASTPair __currentAST556 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVAL_AND_EXPR);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop558:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_tokenSet_0.member(_t.getType()))) {
					valueExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop558;
				}
				
			} while (true);
			}
			leaveNode(ja_AST);
			currentAST = __currentAST556;
			_t = __t556;
			_t = _t.getNextSibling();
			evalExprChoice_AST = (AST)currentAST.root;
			break;
		}
		case EVAL_EQUALS_EXPR:
		{
			AST __t559 = _t;
			je = _t==ASTNULL ? null :(AST)_t;
			AST je_AST_in = null;
			je_AST = astFactory.create(je);
			astFactory.addASTChild(currentAST, je_AST);
			ASTPair __currentAST559 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVAL_EQUALS_EXPR);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(je_AST);
			currentAST = __currentAST559;
			_t = __t559;
			_t = _t.getNextSibling();
			evalExprChoice_AST = (AST)currentAST.root;
			break;
		}
		case EVAL_NOTEQUALS_EXPR:
		{
			AST __t560 = _t;
			jne = _t==ASTNULL ? null :(AST)_t;
			AST jne_AST_in = null;
			jne_AST = astFactory.create(jne);
			astFactory.addASTChild(currentAST, jne_AST);
			ASTPair __currentAST560 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVAL_NOTEQUALS_EXPR);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(jne_AST);
			currentAST = __currentAST560;
			_t = __t560;
			_t = _t.getNextSibling();
			evalExprChoice_AST = (AST)currentAST.root;
			break;
		}
		case NOT_EXPR:
		{
			AST __t561 = _t;
			n = _t==ASTNULL ? null :(AST)_t;
			AST n_AST_in = null;
			n_AST = astFactory.create(n);
			astFactory.addASTChild(currentAST, n_AST);
			ASTPair __currentAST561 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NOT_EXPR);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(n_AST);
			currentAST = __currentAST561;
			_t = __t561;
			_t = _t.getNextSibling();
			evalExprChoice_AST = (AST)currentAST.root;
			break;
		}
		case LT:
		case GT:
		case LE:
		case GE:
		{
			r = _t==ASTNULL ? null : (AST)_t;
			relationalExpr(_t);
			_t = _retTree;
			r_AST = (AST)returnAST;
			astFactory.addASTChild(currentAST, returnAST);
			leaveNode(r_AST);
			evalExprChoice_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = evalExprChoice_AST;
		_retTree = _t;
	}
	
	public final void constant(AST _t) throws RecognitionException {
		
		AST constant_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST constant_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case INT_TYPE:
		{
			AST tmp65_AST = null;
			AST tmp65_AST_in = null;
			tmp65_AST = astFactory.create((AST)_t);
			tmp65_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp65_AST);
			match(_t,INT_TYPE);
			_t = _t.getNextSibling();
			constant_AST = (AST)currentAST.root;
			break;
		}
		case LONG_TYPE:
		{
			AST tmp66_AST = null;
			AST tmp66_AST_in = null;
			tmp66_AST = astFactory.create((AST)_t);
			tmp66_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp66_AST);
			match(_t,LONG_TYPE);
			_t = _t.getNextSibling();
			constant_AST = (AST)currentAST.root;
			break;
		}
		case FLOAT_TYPE:
		{
			AST tmp67_AST = null;
			AST tmp67_AST_in = null;
			tmp67_AST = astFactory.create((AST)_t);
			tmp67_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp67_AST);
			match(_t,FLOAT_TYPE);
			_t = _t.getNextSibling();
			constant_AST = (AST)currentAST.root;
			break;
		}
		case DOUBLE_TYPE:
		{
			AST tmp68_AST = null;
			AST tmp68_AST_in = null;
			tmp68_AST = astFactory.create((AST)_t);
			tmp68_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp68_AST);
			match(_t,DOUBLE_TYPE);
			_t = _t.getNextSibling();
			constant_AST = (AST)currentAST.root;
			break;
		}
		case STRING_TYPE:
		{
			AST tmp69_AST = null;
			AST tmp69_AST_in = null;
			tmp69_AST = astFactory.create((AST)_t);
			tmp69_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp69_AST);
			match(_t,STRING_TYPE);
			_t = _t.getNextSibling();
			constant_AST = (AST)currentAST.root;
			break;
		}
		case BOOL_TYPE:
		{
			AST tmp70_AST = null;
			AST tmp70_AST_in = null;
			tmp70_AST = astFactory.create((AST)_t);
			tmp70_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp70_AST);
			match(_t,BOOL_TYPE);
			_t = _t.getNextSibling();
			constant_AST = (AST)currentAST.root;
			break;
		}
		case NULL_TYPE:
		{
			AST tmp71_AST = null;
			AST tmp71_AST_in = null;
			tmp71_AST = astFactory.create((AST)_t);
			tmp71_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp71_AST);
			match(_t,NULL_TYPE);
			_t = _t.getNextSibling();
			constant_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = constant_AST;
		_retTree = _t;
	}
	
	public final void substitution(AST _t) throws RecognitionException {
		
		AST substitution_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST substitution_AST = null;
		
		AST tmp72_AST = null;
		AST tmp72_AST_in = null;
		tmp72_AST = astFactory.create((AST)_t);
		tmp72_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp72_AST);
		match(_t,SUBSTITUTION);
		_t = _t.getNextSibling();
		substitution_AST = (AST)currentAST.root;
		returnAST = substitution_AST;
		_retTree = _t;
	}
	
	public final void arithmeticExpr(AST _t) throws RecognitionException {
		
		AST arithmeticExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST arithmeticExpr_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case PLUS:
		{
			AST __t648 = _t;
			AST tmp73_AST = null;
			AST tmp73_AST_in = null;
			tmp73_AST = astFactory.create((AST)_t);
			tmp73_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp73_AST);
			ASTPair __currentAST648 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,PLUS);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST648;
			_t = __t648;
			_t = _t.getNextSibling();
			arithmeticExpr_AST = (AST)currentAST.root;
			break;
		}
		case MINUS:
		{
			AST __t649 = _t;
			AST tmp74_AST = null;
			AST tmp74_AST_in = null;
			tmp74_AST = astFactory.create((AST)_t);
			tmp74_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp74_AST);
			ASTPair __currentAST649 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,MINUS);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST649;
			_t = __t649;
			_t = _t.getNextSibling();
			arithmeticExpr_AST = (AST)currentAST.root;
			break;
		}
		case DIV:
		{
			AST __t650 = _t;
			AST tmp75_AST = null;
			AST tmp75_AST_in = null;
			tmp75_AST = astFactory.create((AST)_t);
			tmp75_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp75_AST);
			ASTPair __currentAST650 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,DIV);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST650;
			_t = __t650;
			_t = _t.getNextSibling();
			arithmeticExpr_AST = (AST)currentAST.root;
			break;
		}
		case STAR:
		{
			AST __t651 = _t;
			AST tmp76_AST = null;
			AST tmp76_AST_in = null;
			tmp76_AST = astFactory.create((AST)_t);
			tmp76_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp76_AST);
			ASTPair __currentAST651 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,STAR);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST651;
			_t = __t651;
			_t = _t.getNextSibling();
			arithmeticExpr_AST = (AST)currentAST.root;
			break;
		}
		case MOD:
		{
			AST __t652 = _t;
			AST tmp77_AST = null;
			AST tmp77_AST_in = null;
			tmp77_AST = astFactory.create((AST)_t);
			tmp77_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp77_AST);
			ASTPair __currentAST652 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,MOD);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST652;
			_t = __t652;
			_t = _t.getNextSibling();
			arithmeticExpr_AST = (AST)currentAST.root;
			break;
		}
		case BAND:
		{
			AST __t653 = _t;
			AST tmp78_AST = null;
			AST tmp78_AST_in = null;
			tmp78_AST = astFactory.create((AST)_t);
			tmp78_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp78_AST);
			ASTPair __currentAST653 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,BAND);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST653;
			_t = __t653;
			_t = _t.getNextSibling();
			arithmeticExpr_AST = (AST)currentAST.root;
			break;
		}
		case BOR:
		{
			AST __t654 = _t;
			AST tmp79_AST = null;
			AST tmp79_AST_in = null;
			tmp79_AST = astFactory.create((AST)_t);
			tmp79_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp79_AST);
			ASTPair __currentAST654 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,BOR);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST654;
			_t = __t654;
			_t = _t.getNextSibling();
			arithmeticExpr_AST = (AST)currentAST.root;
			break;
		}
		case BXOR:
		{
			AST __t655 = _t;
			AST tmp80_AST = null;
			AST tmp80_AST_in = null;
			tmp80_AST = astFactory.create((AST)_t);
			tmp80_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp80_AST);
			ASTPair __currentAST655 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,BXOR);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST655;
			_t = __t655;
			_t = _t.getNextSibling();
			arithmeticExpr_AST = (AST)currentAST.root;
			break;
		}
		case CONCAT:
		{
			AST __t656 = _t;
			AST tmp81_AST = null;
			AST tmp81_AST_in = null;
			tmp81_AST = astFactory.create((AST)_t);
			tmp81_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp81_AST);
			ASTPair __currentAST656 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,CONCAT);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop658:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_tokenSet_0.member(_t.getType()))) {
					valueExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop658;
				}
				
			} while (true);
			}
			currentAST = __currentAST656;
			_t = __t656;
			_t = _t.getNextSibling();
			arithmeticExpr_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = arithmeticExpr_AST;
		_retTree = _t;
	}
	
	public final void builtinFunc(AST _t) throws RecognitionException {
		
		AST builtinFunc_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST builtinFunc_AST = null;
		AST c = null;
		AST c_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case SUM:
		{
			AST __t619 = _t;
			AST tmp82_AST = null;
			AST tmp82_AST_in = null;
			tmp82_AST = astFactory.create((AST)_t);
			tmp82_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp82_AST);
			ASTPair __currentAST619 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,SUM);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case DISTINCT:
			{
				AST tmp83_AST = null;
				AST tmp83_AST_in = null;
				tmp83_AST = astFactory.create((AST)_t);
				tmp83_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp83_AST);
				match(_t,DISTINCT);
				_t = _t.getNextSibling();
				break;
			}
			case IN_SET:
			case BETWEEN:
			case LIKE:
			case REGEXP:
			case NOT_EXPR:
			case SUM:
			case AVG:
			case COALESCE:
			case MEDIAN:
			case STDDEV:
			case AVEDEV:
			case COUNT:
			case CASE:
			case CASE2:
			case PREVIOUS:
			case PRIOR:
			case EXISTS:
			case INSTANCEOF:
			case CAST:
			case CURRENT_TIMESTAMP:
			case EVAL_AND_EXPR:
			case EVAL_OR_EXPR:
			case EVAL_EQUALS_EXPR:
			case EVAL_NOTEQUALS_EXPR:
			case EVENT_PROP_EXPR:
			case CONCAT:
			case LIB_FUNCTION:
			case ARRAY_EXPR:
			case NOT_IN_SET:
			case NOT_BETWEEN:
			case NOT_LIKE:
			case NOT_REGEXP:
			case IN_RANGE:
			case NOT_IN_RANGE:
			case SUBSELECT_EXPR:
			case EXISTS_SUBSELECT_EXPR:
			case IN_SUBSELECT_EXPR:
			case NOT_IN_SUBSELECT_EXPR:
			case SUBSTITUTION:
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			case MINUS:
			case PLUS:
			case STAR:
			case BAND:
			case BOR:
			case BXOR:
			case LT:
			case GT:
			case LE:
			case GE:
			case DIV:
			case MOD:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST619;
			_t = __t619;
			_t = _t.getNextSibling();
			builtinFunc_AST = (AST)currentAST.root;
			break;
		}
		case AVG:
		{
			AST __t621 = _t;
			AST tmp84_AST = null;
			AST tmp84_AST_in = null;
			tmp84_AST = astFactory.create((AST)_t);
			tmp84_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp84_AST);
			ASTPair __currentAST621 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,AVG);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case DISTINCT:
			{
				AST tmp85_AST = null;
				AST tmp85_AST_in = null;
				tmp85_AST = astFactory.create((AST)_t);
				tmp85_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp85_AST);
				match(_t,DISTINCT);
				_t = _t.getNextSibling();
				break;
			}
			case IN_SET:
			case BETWEEN:
			case LIKE:
			case REGEXP:
			case NOT_EXPR:
			case SUM:
			case AVG:
			case COALESCE:
			case MEDIAN:
			case STDDEV:
			case AVEDEV:
			case COUNT:
			case CASE:
			case CASE2:
			case PREVIOUS:
			case PRIOR:
			case EXISTS:
			case INSTANCEOF:
			case CAST:
			case CURRENT_TIMESTAMP:
			case EVAL_AND_EXPR:
			case EVAL_OR_EXPR:
			case EVAL_EQUALS_EXPR:
			case EVAL_NOTEQUALS_EXPR:
			case EVENT_PROP_EXPR:
			case CONCAT:
			case LIB_FUNCTION:
			case ARRAY_EXPR:
			case NOT_IN_SET:
			case NOT_BETWEEN:
			case NOT_LIKE:
			case NOT_REGEXP:
			case IN_RANGE:
			case NOT_IN_RANGE:
			case SUBSELECT_EXPR:
			case EXISTS_SUBSELECT_EXPR:
			case IN_SUBSELECT_EXPR:
			case NOT_IN_SUBSELECT_EXPR:
			case SUBSTITUTION:
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			case MINUS:
			case PLUS:
			case STAR:
			case BAND:
			case BOR:
			case BXOR:
			case LT:
			case GT:
			case LE:
			case GE:
			case DIV:
			case MOD:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST621;
			_t = __t621;
			_t = _t.getNextSibling();
			builtinFunc_AST = (AST)currentAST.root;
			break;
		}
		case COUNT:
		{
			AST __t623 = _t;
			AST tmp86_AST = null;
			AST tmp86_AST_in = null;
			tmp86_AST = astFactory.create((AST)_t);
			tmp86_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp86_AST);
			ASTPair __currentAST623 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,COUNT);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case IN_SET:
			case BETWEEN:
			case LIKE:
			case REGEXP:
			case NOT_EXPR:
			case SUM:
			case AVG:
			case COALESCE:
			case MEDIAN:
			case STDDEV:
			case AVEDEV:
			case COUNT:
			case CASE:
			case CASE2:
			case DISTINCT:
			case PREVIOUS:
			case PRIOR:
			case EXISTS:
			case INSTANCEOF:
			case CAST:
			case CURRENT_TIMESTAMP:
			case EVAL_AND_EXPR:
			case EVAL_OR_EXPR:
			case EVAL_EQUALS_EXPR:
			case EVAL_NOTEQUALS_EXPR:
			case EVENT_PROP_EXPR:
			case CONCAT:
			case LIB_FUNCTION:
			case ARRAY_EXPR:
			case NOT_IN_SET:
			case NOT_BETWEEN:
			case NOT_LIKE:
			case NOT_REGEXP:
			case IN_RANGE:
			case NOT_IN_RANGE:
			case SUBSELECT_EXPR:
			case EXISTS_SUBSELECT_EXPR:
			case IN_SUBSELECT_EXPR:
			case NOT_IN_SUBSELECT_EXPR:
			case SUBSTITUTION:
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			case MINUS:
			case PLUS:
			case STAR:
			case BAND:
			case BOR:
			case BXOR:
			case LT:
			case GT:
			case LE:
			case GE:
			case DIV:
			case MOD:
			{
				{
				if (_t==null) _t=ASTNULL;
				switch ( _t.getType()) {
				case DISTINCT:
				{
					AST tmp87_AST = null;
					AST tmp87_AST_in = null;
					tmp87_AST = astFactory.create((AST)_t);
					tmp87_AST_in = (AST)_t;
					astFactory.addASTChild(currentAST, tmp87_AST);
					match(_t,DISTINCT);
					_t = _t.getNextSibling();
					break;
				}
				case IN_SET:
				case BETWEEN:
				case LIKE:
				case REGEXP:
				case NOT_EXPR:
				case SUM:
				case AVG:
				case COALESCE:
				case MEDIAN:
				case STDDEV:
				case AVEDEV:
				case COUNT:
				case CASE:
				case CASE2:
				case PREVIOUS:
				case PRIOR:
				case EXISTS:
				case INSTANCEOF:
				case CAST:
				case CURRENT_TIMESTAMP:
				case EVAL_AND_EXPR:
				case EVAL_OR_EXPR:
				case EVAL_EQUALS_EXPR:
				case EVAL_NOTEQUALS_EXPR:
				case EVENT_PROP_EXPR:
				case CONCAT:
				case LIB_FUNCTION:
				case ARRAY_EXPR:
				case NOT_IN_SET:
				case NOT_BETWEEN:
				case NOT_LIKE:
				case NOT_REGEXP:
				case IN_RANGE:
				case NOT_IN_RANGE:
				case SUBSELECT_EXPR:
				case EXISTS_SUBSELECT_EXPR:
				case IN_SUBSELECT_EXPR:
				case NOT_IN_SUBSELECT_EXPR:
				case SUBSTITUTION:
				case INT_TYPE:
				case LONG_TYPE:
				case FLOAT_TYPE:
				case DOUBLE_TYPE:
				case STRING_TYPE:
				case BOOL_TYPE:
				case NULL_TYPE:
				case MINUS:
				case PLUS:
				case STAR:
				case BAND:
				case BOR:
				case BXOR:
				case LT:
				case GT:
				case LE:
				case GE:
				case DIV:
				case MOD:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(_t);
				}
				}
				}
				valueExpr(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case 3:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST623;
			_t = __t623;
			_t = _t.getNextSibling();
			builtinFunc_AST = (AST)currentAST.root;
			break;
		}
		case MEDIAN:
		{
			AST __t626 = _t;
			AST tmp88_AST = null;
			AST tmp88_AST_in = null;
			tmp88_AST = astFactory.create((AST)_t);
			tmp88_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp88_AST);
			ASTPair __currentAST626 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,MEDIAN);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case DISTINCT:
			{
				AST tmp89_AST = null;
				AST tmp89_AST_in = null;
				tmp89_AST = astFactory.create((AST)_t);
				tmp89_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp89_AST);
				match(_t,DISTINCT);
				_t = _t.getNextSibling();
				break;
			}
			case IN_SET:
			case BETWEEN:
			case LIKE:
			case REGEXP:
			case NOT_EXPR:
			case SUM:
			case AVG:
			case COALESCE:
			case MEDIAN:
			case STDDEV:
			case AVEDEV:
			case COUNT:
			case CASE:
			case CASE2:
			case PREVIOUS:
			case PRIOR:
			case EXISTS:
			case INSTANCEOF:
			case CAST:
			case CURRENT_TIMESTAMP:
			case EVAL_AND_EXPR:
			case EVAL_OR_EXPR:
			case EVAL_EQUALS_EXPR:
			case EVAL_NOTEQUALS_EXPR:
			case EVENT_PROP_EXPR:
			case CONCAT:
			case LIB_FUNCTION:
			case ARRAY_EXPR:
			case NOT_IN_SET:
			case NOT_BETWEEN:
			case NOT_LIKE:
			case NOT_REGEXP:
			case IN_RANGE:
			case NOT_IN_RANGE:
			case SUBSELECT_EXPR:
			case EXISTS_SUBSELECT_EXPR:
			case IN_SUBSELECT_EXPR:
			case NOT_IN_SUBSELECT_EXPR:
			case SUBSTITUTION:
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			case MINUS:
			case PLUS:
			case STAR:
			case BAND:
			case BOR:
			case BXOR:
			case LT:
			case GT:
			case LE:
			case GE:
			case DIV:
			case MOD:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST626;
			_t = __t626;
			_t = _t.getNextSibling();
			builtinFunc_AST = (AST)currentAST.root;
			break;
		}
		case STDDEV:
		{
			AST __t628 = _t;
			AST tmp90_AST = null;
			AST tmp90_AST_in = null;
			tmp90_AST = astFactory.create((AST)_t);
			tmp90_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp90_AST);
			ASTPair __currentAST628 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,STDDEV);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case DISTINCT:
			{
				AST tmp91_AST = null;
				AST tmp91_AST_in = null;
				tmp91_AST = astFactory.create((AST)_t);
				tmp91_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp91_AST);
				match(_t,DISTINCT);
				_t = _t.getNextSibling();
				break;
			}
			case IN_SET:
			case BETWEEN:
			case LIKE:
			case REGEXP:
			case NOT_EXPR:
			case SUM:
			case AVG:
			case COALESCE:
			case MEDIAN:
			case STDDEV:
			case AVEDEV:
			case COUNT:
			case CASE:
			case CASE2:
			case PREVIOUS:
			case PRIOR:
			case EXISTS:
			case INSTANCEOF:
			case CAST:
			case CURRENT_TIMESTAMP:
			case EVAL_AND_EXPR:
			case EVAL_OR_EXPR:
			case EVAL_EQUALS_EXPR:
			case EVAL_NOTEQUALS_EXPR:
			case EVENT_PROP_EXPR:
			case CONCAT:
			case LIB_FUNCTION:
			case ARRAY_EXPR:
			case NOT_IN_SET:
			case NOT_BETWEEN:
			case NOT_LIKE:
			case NOT_REGEXP:
			case IN_RANGE:
			case NOT_IN_RANGE:
			case SUBSELECT_EXPR:
			case EXISTS_SUBSELECT_EXPR:
			case IN_SUBSELECT_EXPR:
			case NOT_IN_SUBSELECT_EXPR:
			case SUBSTITUTION:
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			case MINUS:
			case PLUS:
			case STAR:
			case BAND:
			case BOR:
			case BXOR:
			case LT:
			case GT:
			case LE:
			case GE:
			case DIV:
			case MOD:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST628;
			_t = __t628;
			_t = _t.getNextSibling();
			builtinFunc_AST = (AST)currentAST.root;
			break;
		}
		case AVEDEV:
		{
			AST __t630 = _t;
			AST tmp92_AST = null;
			AST tmp92_AST_in = null;
			tmp92_AST = astFactory.create((AST)_t);
			tmp92_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp92_AST);
			ASTPair __currentAST630 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,AVEDEV);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case DISTINCT:
			{
				AST tmp93_AST = null;
				AST tmp93_AST_in = null;
				tmp93_AST = astFactory.create((AST)_t);
				tmp93_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp93_AST);
				match(_t,DISTINCT);
				_t = _t.getNextSibling();
				break;
			}
			case IN_SET:
			case BETWEEN:
			case LIKE:
			case REGEXP:
			case NOT_EXPR:
			case SUM:
			case AVG:
			case COALESCE:
			case MEDIAN:
			case STDDEV:
			case AVEDEV:
			case COUNT:
			case CASE:
			case CASE2:
			case PREVIOUS:
			case PRIOR:
			case EXISTS:
			case INSTANCEOF:
			case CAST:
			case CURRENT_TIMESTAMP:
			case EVAL_AND_EXPR:
			case EVAL_OR_EXPR:
			case EVAL_EQUALS_EXPR:
			case EVAL_NOTEQUALS_EXPR:
			case EVENT_PROP_EXPR:
			case CONCAT:
			case LIB_FUNCTION:
			case ARRAY_EXPR:
			case NOT_IN_SET:
			case NOT_BETWEEN:
			case NOT_LIKE:
			case NOT_REGEXP:
			case IN_RANGE:
			case NOT_IN_RANGE:
			case SUBSELECT_EXPR:
			case EXISTS_SUBSELECT_EXPR:
			case IN_SUBSELECT_EXPR:
			case NOT_IN_SUBSELECT_EXPR:
			case SUBSTITUTION:
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			case MINUS:
			case PLUS:
			case STAR:
			case BAND:
			case BOR:
			case BXOR:
			case LT:
			case GT:
			case LE:
			case GE:
			case DIV:
			case MOD:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST630;
			_t = __t630;
			_t = _t.getNextSibling();
			builtinFunc_AST = (AST)currentAST.root;
			break;
		}
		case COALESCE:
		{
			AST __t632 = _t;
			AST tmp94_AST = null;
			AST tmp94_AST_in = null;
			tmp94_AST = astFactory.create((AST)_t);
			tmp94_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp94_AST);
			ASTPair __currentAST632 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,COALESCE);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop634:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_tokenSet_0.member(_t.getType()))) {
					valueExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop634;
				}
				
			} while (true);
			}
			currentAST = __currentAST632;
			_t = __t632;
			_t = _t.getNextSibling();
			builtinFunc_AST = (AST)currentAST.root;
			break;
		}
		case PREVIOUS:
		{
			AST __t635 = _t;
			AST tmp95_AST = null;
			AST tmp95_AST_in = null;
			tmp95_AST = astFactory.create((AST)_t);
			tmp95_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp95_AST);
			ASTPair __currentAST635 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,PREVIOUS);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			eventPropertyExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST635;
			_t = __t635;
			_t = _t.getNextSibling();
			builtinFunc_AST = (AST)currentAST.root;
			break;
		}
		case PRIOR:
		{
			AST __t636 = _t;
			AST tmp96_AST = null;
			AST tmp96_AST_in = null;
			tmp96_AST = astFactory.create((AST)_t);
			tmp96_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp96_AST);
			ASTPair __currentAST636 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,PRIOR);
			_t = _t.getFirstChild();
			c = (AST)_t;
			AST c_AST_in = null;
			c_AST = astFactory.create(c);
			astFactory.addASTChild(currentAST, c_AST);
			match(_t,NUM_INT);
			_t = _t.getNextSibling();
			eventPropertyExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST636;
			_t = __t636;
			_t = _t.getNextSibling();
			leaveNode(c_AST);
			builtinFunc_AST = (AST)currentAST.root;
			break;
		}
		case INSTANCEOF:
		{
			AST __t637 = _t;
			AST tmp97_AST = null;
			AST tmp97_AST_in = null;
			tmp97_AST = astFactory.create((AST)_t);
			tmp97_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp97_AST);
			ASTPair __currentAST637 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,INSTANCEOF);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			AST tmp98_AST = null;
			AST tmp98_AST_in = null;
			tmp98_AST = astFactory.create((AST)_t);
			tmp98_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp98_AST);
			match(_t,CLASS_IDENT);
			_t = _t.getNextSibling();
			{
			_loop639:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_t.getType()==CLASS_IDENT)) {
					AST tmp99_AST = null;
					AST tmp99_AST_in = null;
					tmp99_AST = astFactory.create((AST)_t);
					tmp99_AST_in = (AST)_t;
					astFactory.addASTChild(currentAST, tmp99_AST);
					match(_t,CLASS_IDENT);
					_t = _t.getNextSibling();
				}
				else {
					break _loop639;
				}
				
			} while (true);
			}
			currentAST = __currentAST637;
			_t = __t637;
			_t = _t.getNextSibling();
			builtinFunc_AST = (AST)currentAST.root;
			break;
		}
		case CAST:
		{
			AST __t640 = _t;
			AST tmp100_AST = null;
			AST tmp100_AST_in = null;
			tmp100_AST = astFactory.create((AST)_t);
			tmp100_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp100_AST);
			ASTPair __currentAST640 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,CAST);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			AST tmp101_AST = null;
			AST tmp101_AST_in = null;
			tmp101_AST = astFactory.create((AST)_t);
			tmp101_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp101_AST);
			match(_t,CLASS_IDENT);
			_t = _t.getNextSibling();
			currentAST = __currentAST640;
			_t = __t640;
			_t = _t.getNextSibling();
			builtinFunc_AST = (AST)currentAST.root;
			break;
		}
		case EXISTS:
		{
			AST __t641 = _t;
			AST tmp102_AST = null;
			AST tmp102_AST_in = null;
			tmp102_AST = astFactory.create((AST)_t);
			tmp102_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp102_AST);
			ASTPair __currentAST641 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EXISTS);
			_t = _t.getFirstChild();
			eventPropertyExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST641;
			_t = __t641;
			_t = _t.getNextSibling();
			builtinFunc_AST = (AST)currentAST.root;
			break;
		}
		case CURRENT_TIMESTAMP:
		{
			AST __t642 = _t;
			AST tmp103_AST = null;
			AST tmp103_AST_in = null;
			tmp103_AST = astFactory.create((AST)_t);
			tmp103_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp103_AST);
			ASTPair __currentAST642 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,CURRENT_TIMESTAMP);
			_t = _t.getFirstChild();
			currentAST = __currentAST642;
			_t = __t642;
			_t = _t.getNextSibling();
			builtinFunc_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = builtinFunc_AST;
		_retTree = _t;
	}
	
	public final void libFunc(AST _t) throws RecognitionException {
		
		AST libFunc_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST libFunc_AST = null;
		
		AST __t660 = _t;
		AST tmp104_AST = null;
		AST tmp104_AST_in = null;
		tmp104_AST = astFactory.create((AST)_t);
		tmp104_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp104_AST);
		ASTPair __currentAST660 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,LIB_FUNCTION);
		_t = _t.getFirstChild();
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case CLASS_IDENT:
		{
			AST tmp105_AST = null;
			AST tmp105_AST_in = null;
			tmp105_AST = astFactory.create((AST)_t);
			tmp105_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp105_AST);
			match(_t,CLASS_IDENT);
			_t = _t.getNextSibling();
			break;
		}
		case IDENT:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		AST tmp106_AST = null;
		AST tmp106_AST_in = null;
		tmp106_AST = astFactory.create((AST)_t);
		tmp106_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp106_AST);
		match(_t,IDENT);
		_t = _t.getNextSibling();
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case DISTINCT:
		{
			AST tmp107_AST = null;
			AST tmp107_AST_in = null;
			tmp107_AST = astFactory.create((AST)_t);
			tmp107_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp107_AST);
			match(_t,DISTINCT);
			_t = _t.getNextSibling();
			break;
		}
		case 3:
		case IN_SET:
		case BETWEEN:
		case LIKE:
		case REGEXP:
		case NOT_EXPR:
		case SUM:
		case AVG:
		case COALESCE:
		case MEDIAN:
		case STDDEV:
		case AVEDEV:
		case COUNT:
		case CASE:
		case CASE2:
		case PREVIOUS:
		case PRIOR:
		case EXISTS:
		case INSTANCEOF:
		case CAST:
		case CURRENT_TIMESTAMP:
		case EVAL_AND_EXPR:
		case EVAL_OR_EXPR:
		case EVAL_EQUALS_EXPR:
		case EVAL_NOTEQUALS_EXPR:
		case EVENT_PROP_EXPR:
		case CONCAT:
		case LIB_FUNCTION:
		case ARRAY_EXPR:
		case NOT_IN_SET:
		case NOT_BETWEEN:
		case NOT_LIKE:
		case NOT_REGEXP:
		case IN_RANGE:
		case NOT_IN_RANGE:
		case SUBSELECT_EXPR:
		case EXISTS_SUBSELECT_EXPR:
		case IN_SUBSELECT_EXPR:
		case NOT_IN_SUBSELECT_EXPR:
		case SUBSTITUTION:
		case INT_TYPE:
		case LONG_TYPE:
		case FLOAT_TYPE:
		case DOUBLE_TYPE:
		case STRING_TYPE:
		case BOOL_TYPE:
		case NULL_TYPE:
		case MINUS:
		case PLUS:
		case STAR:
		case BAND:
		case BOR:
		case BXOR:
		case LT:
		case GT:
		case LE:
		case GE:
		case DIV:
		case MOD:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		_loop664:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_tokenSet_0.member(_t.getType()))) {
				valueExpr(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop664;
			}
			
		} while (true);
		}
		currentAST = __currentAST660;
		_t = __t660;
		_t = _t.getNextSibling();
		libFunc_AST = (AST)currentAST.root;
		returnAST = libFunc_AST;
		_retTree = _t;
	}
	
	public final void caseExpr(AST _t) throws RecognitionException {
		
		AST caseExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST caseExpr_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case CASE:
		{
			AST __t582 = _t;
			AST tmp108_AST = null;
			AST tmp108_AST_in = null;
			tmp108_AST = astFactory.create((AST)_t);
			tmp108_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp108_AST);
			ASTPair __currentAST582 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,CASE);
			_t = _t.getFirstChild();
			{
			_loop584:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_tokenSet_0.member(_t.getType()))) {
					valueExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop584;
				}
				
			} while (true);
			}
			currentAST = __currentAST582;
			_t = __t582;
			_t = _t.getNextSibling();
			caseExpr_AST = (AST)currentAST.root;
			break;
		}
		case CASE2:
		{
			AST __t585 = _t;
			AST tmp109_AST = null;
			AST tmp109_AST_in = null;
			tmp109_AST = astFactory.create((AST)_t);
			tmp109_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp109_AST);
			ASTPair __currentAST585 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,CASE2);
			_t = _t.getFirstChild();
			{
			_loop587:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_tokenSet_0.member(_t.getType()))) {
					valueExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop587;
				}
				
			} while (true);
			}
			currentAST = __currentAST585;
			_t = __t585;
			_t = _t.getNextSibling();
			caseExpr_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = caseExpr_AST;
		_retTree = _t;
	}
	
	public final void inExpr(AST _t) throws RecognitionException {
		
		AST inExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST inExpr_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case IN_SET:
		{
			AST __t589 = _t;
			AST tmp110_AST = null;
			AST tmp110_AST_in = null;
			tmp110_AST = astFactory.create((AST)_t);
			tmp110_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp110_AST);
			ASTPair __currentAST589 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,IN_SET);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case LPAREN:
			{
				AST tmp111_AST = null;
				AST tmp111_AST_in = null;
				tmp111_AST = astFactory.create((AST)_t);
				tmp111_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp111_AST);
				match(_t,LPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case LBRACK:
			{
				AST tmp112_AST = null;
				AST tmp112_AST_in = null;
				tmp112_AST = astFactory.create((AST)_t);
				tmp112_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp112_AST);
				match(_t,LBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop592:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_tokenSet_0.member(_t.getType()))) {
					valueExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop592;
				}
				
			} while (true);
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case RPAREN:
			{
				AST tmp113_AST = null;
				AST tmp113_AST_in = null;
				tmp113_AST = astFactory.create((AST)_t);
				tmp113_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp113_AST);
				match(_t,RPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case RBRACK:
			{
				AST tmp114_AST = null;
				AST tmp114_AST_in = null;
				tmp114_AST = astFactory.create((AST)_t);
				tmp114_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp114_AST);
				match(_t,RBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST589;
			_t = __t589;
			_t = _t.getNextSibling();
			inExpr_AST = (AST)currentAST.root;
			break;
		}
		case NOT_IN_SET:
		{
			AST __t594 = _t;
			AST tmp115_AST = null;
			AST tmp115_AST_in = null;
			tmp115_AST = astFactory.create((AST)_t);
			tmp115_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp115_AST);
			ASTPair __currentAST594 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NOT_IN_SET);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case LPAREN:
			{
				AST tmp116_AST = null;
				AST tmp116_AST_in = null;
				tmp116_AST = astFactory.create((AST)_t);
				tmp116_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp116_AST);
				match(_t,LPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case LBRACK:
			{
				AST tmp117_AST = null;
				AST tmp117_AST_in = null;
				tmp117_AST = astFactory.create((AST)_t);
				tmp117_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp117_AST);
				match(_t,LBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop597:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_tokenSet_0.member(_t.getType()))) {
					valueExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop597;
				}
				
			} while (true);
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case RPAREN:
			{
				AST tmp118_AST = null;
				AST tmp118_AST_in = null;
				tmp118_AST = astFactory.create((AST)_t);
				tmp118_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp118_AST);
				match(_t,RPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case RBRACK:
			{
				AST tmp119_AST = null;
				AST tmp119_AST_in = null;
				tmp119_AST = astFactory.create((AST)_t);
				tmp119_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp119_AST);
				match(_t,RBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST594;
			_t = __t594;
			_t = _t.getNextSibling();
			inExpr_AST = (AST)currentAST.root;
			break;
		}
		case IN_RANGE:
		{
			AST __t599 = _t;
			AST tmp120_AST = null;
			AST tmp120_AST_in = null;
			tmp120_AST = astFactory.create((AST)_t);
			tmp120_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp120_AST);
			ASTPair __currentAST599 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,IN_RANGE);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case LPAREN:
			{
				AST tmp121_AST = null;
				AST tmp121_AST_in = null;
				tmp121_AST = astFactory.create((AST)_t);
				tmp121_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp121_AST);
				match(_t,LPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case LBRACK:
			{
				AST tmp122_AST = null;
				AST tmp122_AST_in = null;
				tmp122_AST = astFactory.create((AST)_t);
				tmp122_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp122_AST);
				match(_t,LBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case RPAREN:
			{
				AST tmp123_AST = null;
				AST tmp123_AST_in = null;
				tmp123_AST = astFactory.create((AST)_t);
				tmp123_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp123_AST);
				match(_t,RPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case RBRACK:
			{
				AST tmp124_AST = null;
				AST tmp124_AST_in = null;
				tmp124_AST = astFactory.create((AST)_t);
				tmp124_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp124_AST);
				match(_t,RBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST599;
			_t = __t599;
			_t = _t.getNextSibling();
			inExpr_AST = (AST)currentAST.root;
			break;
		}
		case NOT_IN_RANGE:
		{
			AST __t602 = _t;
			AST tmp125_AST = null;
			AST tmp125_AST_in = null;
			tmp125_AST = astFactory.create((AST)_t);
			tmp125_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp125_AST);
			ASTPair __currentAST602 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NOT_IN_RANGE);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case LPAREN:
			{
				AST tmp126_AST = null;
				AST tmp126_AST_in = null;
				tmp126_AST = astFactory.create((AST)_t);
				tmp126_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp126_AST);
				match(_t,LPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case LBRACK:
			{
				AST tmp127_AST = null;
				AST tmp127_AST_in = null;
				tmp127_AST = astFactory.create((AST)_t);
				tmp127_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp127_AST);
				match(_t,LBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case RPAREN:
			{
				AST tmp128_AST = null;
				AST tmp128_AST_in = null;
				tmp128_AST = astFactory.create((AST)_t);
				tmp128_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp128_AST);
				match(_t,RPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case RBRACK:
			{
				AST tmp129_AST = null;
				AST tmp129_AST_in = null;
				tmp129_AST = astFactory.create((AST)_t);
				tmp129_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp129_AST);
				match(_t,RBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST602;
			_t = __t602;
			_t = _t.getNextSibling();
			inExpr_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = inExpr_AST;
		_retTree = _t;
	}
	
	public final void betweenExpr(AST _t) throws RecognitionException {
		
		AST betweenExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST betweenExpr_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case BETWEEN:
		{
			AST __t606 = _t;
			AST tmp130_AST = null;
			AST tmp130_AST_in = null;
			tmp130_AST = astFactory.create((AST)_t);
			tmp130_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp130_AST);
			ASTPair __currentAST606 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,BETWEEN);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST606;
			_t = __t606;
			_t = _t.getNextSibling();
			betweenExpr_AST = (AST)currentAST.root;
			break;
		}
		case NOT_BETWEEN:
		{
			AST __t607 = _t;
			AST tmp131_AST = null;
			AST tmp131_AST_in = null;
			tmp131_AST = astFactory.create((AST)_t);
			tmp131_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp131_AST);
			ASTPair __currentAST607 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NOT_BETWEEN);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop609:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_tokenSet_0.member(_t.getType()))) {
					valueExpr(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop609;
				}
				
			} while (true);
			}
			currentAST = __currentAST607;
			_t = __t607;
			_t = _t.getNextSibling();
			betweenExpr_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = betweenExpr_AST;
		_retTree = _t;
	}
	
	public final void likeExpr(AST _t) throws RecognitionException {
		
		AST likeExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST likeExpr_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case LIKE:
		{
			AST __t611 = _t;
			AST tmp132_AST = null;
			AST tmp132_AST_in = null;
			tmp132_AST = astFactory.create((AST)_t);
			tmp132_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp132_AST);
			ASTPair __currentAST611 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,LIKE);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case IN_SET:
			case BETWEEN:
			case LIKE:
			case REGEXP:
			case NOT_EXPR:
			case SUM:
			case AVG:
			case COALESCE:
			case MEDIAN:
			case STDDEV:
			case AVEDEV:
			case COUNT:
			case CASE:
			case CASE2:
			case PREVIOUS:
			case PRIOR:
			case EXISTS:
			case INSTANCEOF:
			case CAST:
			case CURRENT_TIMESTAMP:
			case EVAL_AND_EXPR:
			case EVAL_OR_EXPR:
			case EVAL_EQUALS_EXPR:
			case EVAL_NOTEQUALS_EXPR:
			case EVENT_PROP_EXPR:
			case CONCAT:
			case LIB_FUNCTION:
			case ARRAY_EXPR:
			case NOT_IN_SET:
			case NOT_BETWEEN:
			case NOT_LIKE:
			case NOT_REGEXP:
			case IN_RANGE:
			case NOT_IN_RANGE:
			case SUBSELECT_EXPR:
			case EXISTS_SUBSELECT_EXPR:
			case IN_SUBSELECT_EXPR:
			case NOT_IN_SUBSELECT_EXPR:
			case SUBSTITUTION:
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			case MINUS:
			case PLUS:
			case STAR:
			case BAND:
			case BOR:
			case BXOR:
			case LT:
			case GT:
			case LE:
			case GE:
			case DIV:
			case MOD:
			{
				valueExpr(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case 3:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST611;
			_t = __t611;
			_t = _t.getNextSibling();
			likeExpr_AST = (AST)currentAST.root;
			break;
		}
		case NOT_LIKE:
		{
			AST __t613 = _t;
			AST tmp133_AST = null;
			AST tmp133_AST_in = null;
			tmp133_AST = astFactory.create((AST)_t);
			tmp133_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp133_AST);
			ASTPair __currentAST613 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NOT_LIKE);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case IN_SET:
			case BETWEEN:
			case LIKE:
			case REGEXP:
			case NOT_EXPR:
			case SUM:
			case AVG:
			case COALESCE:
			case MEDIAN:
			case STDDEV:
			case AVEDEV:
			case COUNT:
			case CASE:
			case CASE2:
			case PREVIOUS:
			case PRIOR:
			case EXISTS:
			case INSTANCEOF:
			case CAST:
			case CURRENT_TIMESTAMP:
			case EVAL_AND_EXPR:
			case EVAL_OR_EXPR:
			case EVAL_EQUALS_EXPR:
			case EVAL_NOTEQUALS_EXPR:
			case EVENT_PROP_EXPR:
			case CONCAT:
			case LIB_FUNCTION:
			case ARRAY_EXPR:
			case NOT_IN_SET:
			case NOT_BETWEEN:
			case NOT_LIKE:
			case NOT_REGEXP:
			case IN_RANGE:
			case NOT_IN_RANGE:
			case SUBSELECT_EXPR:
			case EXISTS_SUBSELECT_EXPR:
			case IN_SUBSELECT_EXPR:
			case NOT_IN_SUBSELECT_EXPR:
			case SUBSTITUTION:
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			case MINUS:
			case PLUS:
			case STAR:
			case BAND:
			case BOR:
			case BXOR:
			case LT:
			case GT:
			case LE:
			case GE:
			case DIV:
			case MOD:
			{
				valueExpr(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case 3:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST613;
			_t = __t613;
			_t = _t.getNextSibling();
			likeExpr_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = likeExpr_AST;
		_retTree = _t;
	}
	
	public final void regExpExpr(AST _t) throws RecognitionException {
		
		AST regExpExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST regExpExpr_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case REGEXP:
		{
			AST __t616 = _t;
			AST tmp134_AST = null;
			AST tmp134_AST_in = null;
			tmp134_AST = astFactory.create((AST)_t);
			tmp134_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp134_AST);
			ASTPair __currentAST616 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,REGEXP);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST616;
			_t = __t616;
			_t = _t.getNextSibling();
			regExpExpr_AST = (AST)currentAST.root;
			break;
		}
		case NOT_REGEXP:
		{
			AST __t617 = _t;
			AST tmp135_AST = null;
			AST tmp135_AST_in = null;
			tmp135_AST = astFactory.create((AST)_t);
			tmp135_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp135_AST);
			ASTPair __currentAST617 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NOT_REGEXP);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST617;
			_t = __t617;
			_t = _t.getNextSibling();
			regExpExpr_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = regExpExpr_AST;
		_retTree = _t;
	}
	
	public final void arrayExpr(AST _t) throws RecognitionException {
		
		AST arrayExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST arrayExpr_AST = null;
		
		AST __t644 = _t;
		AST tmp136_AST = null;
		AST tmp136_AST_in = null;
		tmp136_AST = astFactory.create((AST)_t);
		tmp136_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp136_AST);
		ASTPair __currentAST644 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,ARRAY_EXPR);
		_t = _t.getFirstChild();
		{
		_loop646:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_tokenSet_0.member(_t.getType()))) {
				valueExpr(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop646;
			}
			
		} while (true);
		}
		currentAST = __currentAST644;
		_t = __t644;
		_t = _t.getNextSibling();
		arrayExpr_AST = (AST)currentAST.root;
		returnAST = arrayExpr_AST;
		_retTree = _t;
	}
	
	public final void subSelectInExpr(AST _t) throws RecognitionException {
		
		AST subSelectInExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST subSelectInExpr_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case IN_SUBSELECT_EXPR:
		{
			AST __t568 = _t;
			AST tmp137_AST = null;
			AST tmp137_AST_in = null;
			tmp137_AST = astFactory.create((AST)_t);
			tmp137_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp137_AST);
			ASTPair __currentAST568 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,IN_SUBSELECT_EXPR);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			subSelectInQueryExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST568;
			_t = __t568;
			_t = _t.getNextSibling();
			subSelectInExpr_AST = (AST)currentAST.root;
			break;
		}
		case NOT_IN_SUBSELECT_EXPR:
		{
			AST __t569 = _t;
			AST tmp138_AST = null;
			AST tmp138_AST_in = null;
			tmp138_AST = astFactory.create((AST)_t);
			tmp138_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp138_AST);
			ASTPair __currentAST569 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NOT_IN_SUBSELECT_EXPR);
			_t = _t.getFirstChild();
			valueExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			subSelectInQueryExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST569;
			_t = __t569;
			_t = _t.getNextSibling();
			subSelectInExpr_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = subSelectInExpr_AST;
		_retTree = _t;
	}
	
	public final void subSelectRowExpr(AST _t) throws RecognitionException {
		
		AST subSelectRowExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST subSelectRowExpr_AST = null;
		
		pushStmtContext();
		AST __t564 = _t;
		AST tmp139_AST = null;
		AST tmp139_AST_in = null;
		tmp139_AST = astFactory.create((AST)_t);
		tmp139_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp139_AST);
		ASTPair __currentAST564 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,SUBSELECT_EXPR);
		_t = _t.getFirstChild();
		subQueryExpr(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		currentAST = __currentAST564;
		_t = __t564;
		_t = _t.getNextSibling();
		subSelectRowExpr_AST = (AST)currentAST.root;
		leaveNode(subSelectRowExpr_AST);
		subSelectRowExpr_AST = (AST)currentAST.root;
		returnAST = subSelectRowExpr_AST;
		_retTree = _t;
	}
	
	public final void subSelectExistsExpr(AST _t) throws RecognitionException {
		
		AST subSelectExistsExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST subSelectExistsExpr_AST = null;
		
		pushStmtContext();
		AST __t566 = _t;
		AST tmp140_AST = null;
		AST tmp140_AST_in = null;
		tmp140_AST = astFactory.create((AST)_t);
		tmp140_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp140_AST);
		ASTPair __currentAST566 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,EXISTS_SUBSELECT_EXPR);
		_t = _t.getFirstChild();
		subQueryExpr(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		currentAST = __currentAST566;
		_t = __t566;
		_t = _t.getNextSibling();
		subSelectExistsExpr_AST = (AST)currentAST.root;
		leaveNode(subSelectExistsExpr_AST);
		subSelectExistsExpr_AST = (AST)currentAST.root;
		returnAST = subSelectExistsExpr_AST;
		_retTree = _t;
	}
	
	public final void subQueryExpr(AST _t) throws RecognitionException {
		
		AST subQueryExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST subQueryExpr_AST = null;
		
		selectionListElement(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		subSelectFilterExpr(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		_loop574:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_t.getType()==VIEW_EXPR)) {
				viewExpr(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop574;
			}
			
		} while (true);
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case IDENT:
		{
			AST tmp141_AST = null;
			AST tmp141_AST_in = null;
			tmp141_AST = astFactory.create((AST)_t);
			tmp141_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp141_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			break;
		}
		case 3:
		case WHERE_EXPR:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case WHERE_EXPR:
		{
			whereClause(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		subQueryExpr_AST = (AST)currentAST.root;
		returnAST = subQueryExpr_AST;
		_retTree = _t;
	}
	
	public final void subSelectInQueryExpr(AST _t) throws RecognitionException {
		
		AST subSelectInQueryExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST subSelectInQueryExpr_AST = null;
		
		pushStmtContext();
		AST __t571 = _t;
		AST tmp142_AST = null;
		AST tmp142_AST_in = null;
		tmp142_AST = astFactory.create((AST)_t);
		tmp142_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp142_AST);
		ASTPair __currentAST571 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,IN_SUBSELECT_QUERY_EXPR);
		_t = _t.getFirstChild();
		subQueryExpr(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		currentAST = __currentAST571;
		_t = __t571;
		_t = _t.getNextSibling();
		subSelectInQueryExpr_AST = (AST)currentAST.root;
		leaveNode(subSelectInQueryExpr_AST);
		subSelectInQueryExpr_AST = (AST)currentAST.root;
		returnAST = subSelectInQueryExpr_AST;
		_retTree = _t;
	}
	
	public final void subSelectFilterExpr(AST _t) throws RecognitionException {
		
		AST subSelectFilterExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST subSelectFilterExpr_AST = null;
		AST v = null;
		AST v_AST = null;
		
		AST __t578 = _t;
		v = _t==ASTNULL ? null :(AST)_t;
		AST v_AST_in = null;
		v_AST = astFactory.create(v);
		astFactory.addASTChild(currentAST, v_AST);
		ASTPair __currentAST578 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,STREAM_EXPR);
		_t = _t.getFirstChild();
		eventFilterExpr(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case VIEW_EXPR:
		{
			viewListExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case 3:
		case IDENT:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		{
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case IDENT:
		{
			AST tmp143_AST = null;
			AST tmp143_AST_in = null;
			tmp143_AST = astFactory.create((AST)_t);
			tmp143_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp143_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			break;
		}
		case 3:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		}
		leaveNode(v_AST);
		currentAST = __currentAST578;
		_t = __t578;
		_t = _t.getNextSibling();
		subSelectFilterExpr_AST = (AST)currentAST.root;
		returnAST = subSelectFilterExpr_AST;
		_retTree = _t;
	}
	
	public final void startPatternExpressionRule(AST _t) throws RecognitionException {
		
		AST startPatternExpressionRule_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST startPatternExpressionRule_AST = null;
		
		setIsPatternWalk(true);
		exprChoice(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		endPattern(); end();
		startPatternExpressionRule_AST = (AST)currentAST.root;
		returnAST = startPatternExpressionRule_AST;
		_retTree = _t;
	}
	
	public final void atomicExpr(AST _t) throws RecognitionException {
		
		AST atomicExpr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST atomicExpr_AST = null;
		AST ac = null;
		AST ac_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case EVENT_FILTER_EXPR:
		{
			eventFilterExpr(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			atomicExpr_AST = (AST)currentAST.root;
			break;
		}
		case OBSERVER_EXPR:
		{
			AST __t683 = _t;
			ac = _t==ASTNULL ? null :(AST)_t;
			AST ac_AST_in = null;
			ac_AST = astFactory.create(ac);
			astFactory.addASTChild(currentAST, ac_AST);
			ASTPair __currentAST683 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,OBSERVER_EXPR);
			_t = _t.getFirstChild();
			AST tmp144_AST = null;
			AST tmp144_AST_in = null;
			tmp144_AST = astFactory.create((AST)_t);
			tmp144_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp144_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			AST tmp145_AST = null;
			AST tmp145_AST_in = null;
			tmp145_AST = astFactory.create((AST)_t);
			tmp145_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp145_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			{
			_loop685:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_tokenSet_1.member(_t.getType()))) {
					parameter(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop685;
				}
				
			} while (true);
			}
			leaveNode(ac_AST);
			currentAST = __currentAST683;
			_t = __t683;
			_t = _t.getNextSibling();
			atomicExpr_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = atomicExpr_AST;
		_retTree = _t;
	}
	
	public final void patternOp(AST _t) throws RecognitionException {
		
		AST patternOp_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST patternOp_AST = null;
		AST f = null;
		AST f_AST = null;
		AST o = null;
		AST o_AST = null;
		AST a = null;
		AST a_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case FOLLOWED_BY_EXPR:
		{
			AST __t673 = _t;
			f = _t==ASTNULL ? null :(AST)_t;
			AST f_AST_in = null;
			f_AST = astFactory.create(f);
			astFactory.addASTChild(currentAST, f_AST);
			ASTPair __currentAST673 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,FOLLOWED_BY_EXPR);
			_t = _t.getFirstChild();
			exprChoice(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			exprChoice(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop675:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_tokenSet_2.member(_t.getType()))) {
					exprChoice(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop675;
				}
				
			} while (true);
			}
			leaveNode(f_AST);
			currentAST = __currentAST673;
			_t = __t673;
			_t = _t.getNextSibling();
			patternOp_AST = (AST)currentAST.root;
			break;
		}
		case OR_EXPR:
		{
			AST __t676 = _t;
			o = _t==ASTNULL ? null :(AST)_t;
			AST o_AST_in = null;
			o_AST = astFactory.create(o);
			astFactory.addASTChild(currentAST, o_AST);
			ASTPair __currentAST676 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,OR_EXPR);
			_t = _t.getFirstChild();
			exprChoice(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			exprChoice(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop678:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_tokenSet_2.member(_t.getType()))) {
					exprChoice(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop678;
				}
				
			} while (true);
			}
			leaveNode(o_AST);
			currentAST = __currentAST676;
			_t = __t676;
			_t = _t.getNextSibling();
			patternOp_AST = (AST)currentAST.root;
			break;
		}
		case AND_EXPR:
		{
			AST __t679 = _t;
			a = _t==ASTNULL ? null :(AST)_t;
			AST a_AST_in = null;
			a_AST = astFactory.create(a);
			astFactory.addASTChild(currentAST, a_AST);
			ASTPair __currentAST679 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,AND_EXPR);
			_t = _t.getFirstChild();
			exprChoice(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			exprChoice(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			_loop681:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_tokenSet_2.member(_t.getType()))) {
					exprChoice(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
				}
				else {
					break _loop681;
				}
				
			} while (true);
			}
			leaveNode(a_AST);
			currentAST = __currentAST679;
			_t = __t679;
			_t = _t.getNextSibling();
			patternOp_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = patternOp_AST;
		_retTree = _t;
	}
	
	public final void time_period(AST _t) throws RecognitionException {
		
		AST time_period_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST time_period_AST = null;
		
		AST __t764 = _t;
		AST tmp146_AST = null;
		AST tmp146_AST_in = null;
		tmp146_AST = astFactory.create((AST)_t);
		tmp146_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp146_AST);
		ASTPair __currentAST764 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,TIME_PERIOD);
		_t = _t.getFirstChild();
		timePeriodDef(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		currentAST = __currentAST764;
		_t = __t764;
		_t = _t.getNextSibling();
		time_period_AST = (AST)currentAST.root;
		returnAST = time_period_AST;
		_retTree = _t;
	}
	
	public final void filterParam(AST _t) throws RecognitionException {
		
		AST filterParam_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST filterParam_AST = null;
		
		AST __t692 = _t;
		AST tmp147_AST = null;
		AST tmp147_AST_in = null;
		tmp147_AST = astFactory.create((AST)_t);
		tmp147_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp147_AST);
		ASTPair __currentAST692 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,EVENT_FILTER_PARAM);
		_t = _t.getFirstChild();
		valueExpr(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		{
		_loop694:
		do {
			if (_t==null) _t=ASTNULL;
			if ((_tokenSet_0.member(_t.getType()))) {
				valueExpr(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop694;
			}
			
		} while (true);
		}
		currentAST = __currentAST692;
		_t = __t692;
		_t = _t.getNextSibling();
		filterParam_AST = (AST)currentAST.root;
		returnAST = filterParam_AST;
		_retTree = _t;
	}
	
	public final void filterParamComparator(AST _t) throws RecognitionException {
		
		AST filterParamComparator_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST filterParamComparator_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case EQUALS:
		{
			AST __t696 = _t;
			AST tmp148_AST = null;
			AST tmp148_AST_in = null;
			tmp148_AST = astFactory.create((AST)_t);
			tmp148_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp148_AST);
			ASTPair __currentAST696 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EQUALS);
			_t = _t.getFirstChild();
			filterAtom(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST696;
			_t = __t696;
			_t = _t.getNextSibling();
			filterParamComparator_AST = (AST)currentAST.root;
			break;
		}
		case NOT_EQUAL:
		{
			AST __t697 = _t;
			AST tmp149_AST = null;
			AST tmp149_AST_in = null;
			tmp149_AST = astFactory.create((AST)_t);
			tmp149_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp149_AST);
			ASTPair __currentAST697 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NOT_EQUAL);
			_t = _t.getFirstChild();
			filterAtom(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST697;
			_t = __t697;
			_t = _t.getNextSibling();
			filterParamComparator_AST = (AST)currentAST.root;
			break;
		}
		case LT:
		{
			AST __t698 = _t;
			AST tmp150_AST = null;
			AST tmp150_AST_in = null;
			tmp150_AST = astFactory.create((AST)_t);
			tmp150_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp150_AST);
			ASTPair __currentAST698 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,LT);
			_t = _t.getFirstChild();
			filterAtom(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST698;
			_t = __t698;
			_t = _t.getNextSibling();
			filterParamComparator_AST = (AST)currentAST.root;
			break;
		}
		case LE:
		{
			AST __t699 = _t;
			AST tmp151_AST = null;
			AST tmp151_AST_in = null;
			tmp151_AST = astFactory.create((AST)_t);
			tmp151_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp151_AST);
			ASTPair __currentAST699 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,LE);
			_t = _t.getFirstChild();
			filterAtom(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST699;
			_t = __t699;
			_t = _t.getNextSibling();
			filterParamComparator_AST = (AST)currentAST.root;
			break;
		}
		case GT:
		{
			AST __t700 = _t;
			AST tmp152_AST = null;
			AST tmp152_AST_in = null;
			tmp152_AST = astFactory.create((AST)_t);
			tmp152_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp152_AST);
			ASTPair __currentAST700 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,GT);
			_t = _t.getFirstChild();
			filterAtom(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST700;
			_t = __t700;
			_t = _t.getNextSibling();
			filterParamComparator_AST = (AST)currentAST.root;
			break;
		}
		case GE:
		{
			AST __t701 = _t;
			AST tmp153_AST = null;
			AST tmp153_AST_in = null;
			tmp153_AST = astFactory.create((AST)_t);
			tmp153_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp153_AST);
			ASTPair __currentAST701 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,GE);
			_t = _t.getFirstChild();
			filterAtom(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			currentAST = __currentAST701;
			_t = __t701;
			_t = _t.getNextSibling();
			filterParamComparator_AST = (AST)currentAST.root;
			break;
		}
		case EVENT_FILTER_RANGE:
		{
			AST __t702 = _t;
			AST tmp154_AST = null;
			AST tmp154_AST_in = null;
			tmp154_AST = astFactory.create((AST)_t);
			tmp154_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp154_AST);
			ASTPair __currentAST702 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVENT_FILTER_RANGE);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case LPAREN:
			{
				AST tmp155_AST = null;
				AST tmp155_AST_in = null;
				tmp155_AST = astFactory.create((AST)_t);
				tmp155_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp155_AST);
				match(_t,LPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case LBRACK:
			{
				AST tmp156_AST = null;
				AST tmp156_AST_in = null;
				tmp156_AST = astFactory.create((AST)_t);
				tmp156_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp156_AST);
				match(_t,LBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			{
				constant(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case EVENT_FILTER_IDENT:
			{
				filterIdentifier(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			{
				constant(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case EVENT_FILTER_IDENT:
			{
				filterIdentifier(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case RPAREN:
			{
				AST tmp157_AST = null;
				AST tmp157_AST_in = null;
				tmp157_AST = astFactory.create((AST)_t);
				tmp157_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp157_AST);
				match(_t,RPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case RBRACK:
			{
				AST tmp158_AST = null;
				AST tmp158_AST_in = null;
				tmp158_AST = astFactory.create((AST)_t);
				tmp158_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp158_AST);
				match(_t,RBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST702;
			_t = __t702;
			_t = _t.getNextSibling();
			filterParamComparator_AST = (AST)currentAST.root;
			break;
		}
		case EVENT_FILTER_NOT_RANGE:
		{
			AST __t707 = _t;
			AST tmp159_AST = null;
			AST tmp159_AST_in = null;
			tmp159_AST = astFactory.create((AST)_t);
			tmp159_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp159_AST);
			ASTPair __currentAST707 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVENT_FILTER_NOT_RANGE);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case LPAREN:
			{
				AST tmp160_AST = null;
				AST tmp160_AST_in = null;
				tmp160_AST = astFactory.create((AST)_t);
				tmp160_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp160_AST);
				match(_t,LPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case LBRACK:
			{
				AST tmp161_AST = null;
				AST tmp161_AST_in = null;
				tmp161_AST = astFactory.create((AST)_t);
				tmp161_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp161_AST);
				match(_t,LBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			{
				constant(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case EVENT_FILTER_IDENT:
			{
				filterIdentifier(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			{
				constant(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case EVENT_FILTER_IDENT:
			{
				filterIdentifier(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case RPAREN:
			{
				AST tmp162_AST = null;
				AST tmp162_AST_in = null;
				tmp162_AST = astFactory.create((AST)_t);
				tmp162_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp162_AST);
				match(_t,RPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case RBRACK:
			{
				AST tmp163_AST = null;
				AST tmp163_AST_in = null;
				tmp163_AST = astFactory.create((AST)_t);
				tmp163_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp163_AST);
				match(_t,RBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST707;
			_t = __t707;
			_t = _t.getNextSibling();
			filterParamComparator_AST = (AST)currentAST.root;
			break;
		}
		case EVENT_FILTER_IN:
		{
			AST __t712 = _t;
			AST tmp164_AST = null;
			AST tmp164_AST_in = null;
			tmp164_AST = astFactory.create((AST)_t);
			tmp164_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp164_AST);
			ASTPair __currentAST712 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVENT_FILTER_IN);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case LPAREN:
			{
				AST tmp165_AST = null;
				AST tmp165_AST_in = null;
				tmp165_AST = astFactory.create((AST)_t);
				tmp165_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp165_AST);
				match(_t,LPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case LBRACK:
			{
				AST tmp166_AST = null;
				AST tmp166_AST_in = null;
				tmp166_AST = astFactory.create((AST)_t);
				tmp166_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp166_AST);
				match(_t,LBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			{
				constant(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case EVENT_FILTER_IDENT:
			{
				filterIdentifier(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			_loop716:
			do {
				if (_t==null) _t=ASTNULL;
				switch ( _t.getType()) {
				case INT_TYPE:
				case LONG_TYPE:
				case FLOAT_TYPE:
				case DOUBLE_TYPE:
				case STRING_TYPE:
				case BOOL_TYPE:
				case NULL_TYPE:
				{
					constant(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
					break;
				}
				case EVENT_FILTER_IDENT:
				{
					filterIdentifier(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
					break;
				}
				default:
				{
					break _loop716;
				}
				}
			} while (true);
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case RPAREN:
			{
				AST tmp167_AST = null;
				AST tmp167_AST_in = null;
				tmp167_AST = astFactory.create((AST)_t);
				tmp167_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp167_AST);
				match(_t,RPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case RBRACK:
			{
				AST tmp168_AST = null;
				AST tmp168_AST_in = null;
				tmp168_AST = astFactory.create((AST)_t);
				tmp168_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp168_AST);
				match(_t,RBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST712;
			_t = __t712;
			_t = _t.getNextSibling();
			filterParamComparator_AST = (AST)currentAST.root;
			break;
		}
		case EVENT_FILTER_NOT_IN:
		{
			AST __t718 = _t;
			AST tmp169_AST = null;
			AST tmp169_AST_in = null;
			tmp169_AST = astFactory.create((AST)_t);
			tmp169_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp169_AST);
			ASTPair __currentAST718 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVENT_FILTER_NOT_IN);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case LPAREN:
			{
				AST tmp170_AST = null;
				AST tmp170_AST_in = null;
				tmp170_AST = astFactory.create((AST)_t);
				tmp170_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp170_AST);
				match(_t,LPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case LBRACK:
			{
				AST tmp171_AST = null;
				AST tmp171_AST_in = null;
				tmp171_AST = astFactory.create((AST)_t);
				tmp171_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp171_AST);
				match(_t,LBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			{
				constant(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case EVENT_FILTER_IDENT:
			{
				filterIdentifier(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			_loop722:
			do {
				if (_t==null) _t=ASTNULL;
				switch ( _t.getType()) {
				case INT_TYPE:
				case LONG_TYPE:
				case FLOAT_TYPE:
				case DOUBLE_TYPE:
				case STRING_TYPE:
				case BOOL_TYPE:
				case NULL_TYPE:
				{
					constant(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
					break;
				}
				case EVENT_FILTER_IDENT:
				{
					filterIdentifier(_t);
					_t = _retTree;
					astFactory.addASTChild(currentAST, returnAST);
					break;
				}
				default:
				{
					break _loop722;
				}
				}
			} while (true);
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case RPAREN:
			{
				AST tmp172_AST = null;
				AST tmp172_AST_in = null;
				tmp172_AST = astFactory.create((AST)_t);
				tmp172_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp172_AST);
				match(_t,RPAREN);
				_t = _t.getNextSibling();
				break;
			}
			case RBRACK:
			{
				AST tmp173_AST = null;
				AST tmp173_AST_in = null;
				tmp173_AST = astFactory.create((AST)_t);
				tmp173_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp173_AST);
				match(_t,RBRACK);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST718;
			_t = __t718;
			_t = _t.getNextSibling();
			filterParamComparator_AST = (AST)currentAST.root;
			break;
		}
		case EVENT_FILTER_BETWEEN:
		{
			AST __t724 = _t;
			AST tmp174_AST = null;
			AST tmp174_AST_in = null;
			tmp174_AST = astFactory.create((AST)_t);
			tmp174_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp174_AST);
			ASTPair __currentAST724 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVENT_FILTER_BETWEEN);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			{
				constant(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case EVENT_FILTER_IDENT:
			{
				filterIdentifier(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			{
				constant(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case EVENT_FILTER_IDENT:
			{
				filterIdentifier(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST724;
			_t = __t724;
			_t = _t.getNextSibling();
			filterParamComparator_AST = (AST)currentAST.root;
			break;
		}
		case EVENT_FILTER_NOT_BETWEEN:
		{
			AST __t727 = _t;
			AST tmp175_AST = null;
			AST tmp175_AST_in = null;
			tmp175_AST = astFactory.create((AST)_t);
			tmp175_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp175_AST);
			ASTPair __currentAST727 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVENT_FILTER_NOT_BETWEEN);
			_t = _t.getFirstChild();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			{
				constant(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case EVENT_FILTER_IDENT:
			{
				filterIdentifier(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case INT_TYPE:
			case LONG_TYPE:
			case FLOAT_TYPE:
			case DOUBLE_TYPE:
			case STRING_TYPE:
			case BOOL_TYPE:
			case NULL_TYPE:
			{
				constant(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case EVENT_FILTER_IDENT:
			{
				filterIdentifier(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST727;
			_t = __t727;
			_t = _t.getNextSibling();
			filterParamComparator_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = filterParamComparator_AST;
		_retTree = _t;
	}
	
	public final void filterAtom(AST _t) throws RecognitionException {
		
		AST filterAtom_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST filterAtom_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case INT_TYPE:
		case LONG_TYPE:
		case FLOAT_TYPE:
		case DOUBLE_TYPE:
		case STRING_TYPE:
		case BOOL_TYPE:
		case NULL_TYPE:
		{
			constant(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			filterAtom_AST = (AST)currentAST.root;
			break;
		}
		case EVENT_FILTER_IDENT:
		{
			filterIdentifier(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			filterAtom_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = filterAtom_AST;
		_retTree = _t;
	}
	
	public final void filterIdentifier(AST _t) throws RecognitionException {
		
		AST filterIdentifier_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST filterIdentifier_AST = null;
		
		AST __t732 = _t;
		AST tmp176_AST = null;
		AST tmp176_AST_in = null;
		tmp176_AST = astFactory.create((AST)_t);
		tmp176_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp176_AST);
		ASTPair __currentAST732 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,EVENT_FILTER_IDENT);
		_t = _t.getFirstChild();
		AST tmp177_AST = null;
		AST tmp177_AST_in = null;
		tmp177_AST = astFactory.create((AST)_t);
		tmp177_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp177_AST);
		match(_t,IDENT);
		_t = _t.getNextSibling();
		eventPropertyExpr(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		currentAST = __currentAST732;
		_t = __t732;
		_t = _t.getNextSibling();
		filterIdentifier_AST = (AST)currentAST.root;
		returnAST = filterIdentifier_AST;
		_retTree = _t;
	}
	
	public final void eventPropertyAtomic(AST _t) throws RecognitionException {
		
		AST eventPropertyAtomic_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST eventPropertyAtomic_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case EVENT_PROP_SIMPLE:
		{
			AST __t738 = _t;
			AST tmp178_AST = null;
			AST tmp178_AST_in = null;
			tmp178_AST = astFactory.create((AST)_t);
			tmp178_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp178_AST);
			ASTPair __currentAST738 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVENT_PROP_SIMPLE);
			_t = _t.getFirstChild();
			AST tmp179_AST = null;
			AST tmp179_AST_in = null;
			tmp179_AST = astFactory.create((AST)_t);
			tmp179_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp179_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			currentAST = __currentAST738;
			_t = __t738;
			_t = _t.getNextSibling();
			eventPropertyAtomic_AST = (AST)currentAST.root;
			break;
		}
		case EVENT_PROP_INDEXED:
		{
			AST __t739 = _t;
			AST tmp180_AST = null;
			AST tmp180_AST_in = null;
			tmp180_AST = astFactory.create((AST)_t);
			tmp180_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp180_AST);
			ASTPair __currentAST739 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVENT_PROP_INDEXED);
			_t = _t.getFirstChild();
			AST tmp181_AST = null;
			AST tmp181_AST_in = null;
			tmp181_AST = astFactory.create((AST)_t);
			tmp181_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp181_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			AST tmp182_AST = null;
			AST tmp182_AST_in = null;
			tmp182_AST = astFactory.create((AST)_t);
			tmp182_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp182_AST);
			match(_t,NUM_INT);
			_t = _t.getNextSibling();
			currentAST = __currentAST739;
			_t = __t739;
			_t = _t.getNextSibling();
			eventPropertyAtomic_AST = (AST)currentAST.root;
			break;
		}
		case EVENT_PROP_MAPPED:
		{
			AST __t740 = _t;
			AST tmp183_AST = null;
			AST tmp183_AST_in = null;
			tmp183_AST = astFactory.create((AST)_t);
			tmp183_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp183_AST);
			ASTPair __currentAST740 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVENT_PROP_MAPPED);
			_t = _t.getFirstChild();
			AST tmp184_AST = null;
			AST tmp184_AST_in = null;
			tmp184_AST = astFactory.create((AST)_t);
			tmp184_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp184_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case STRING_LITERAL:
			{
				AST tmp185_AST = null;
				AST tmp185_AST_in = null;
				tmp185_AST = astFactory.create((AST)_t);
				tmp185_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp185_AST);
				match(_t,STRING_LITERAL);
				_t = _t.getNextSibling();
				break;
			}
			case QUOTED_STRING_LITERAL:
			{
				AST tmp186_AST = null;
				AST tmp186_AST_in = null;
				tmp186_AST = astFactory.create((AST)_t);
				tmp186_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp186_AST);
				match(_t,QUOTED_STRING_LITERAL);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST740;
			_t = __t740;
			_t = _t.getNextSibling();
			eventPropertyAtomic_AST = (AST)currentAST.root;
			break;
		}
		case EVENT_PROP_DYNAMIC_SIMPLE:
		{
			AST __t742 = _t;
			AST tmp187_AST = null;
			AST tmp187_AST_in = null;
			tmp187_AST = astFactory.create((AST)_t);
			tmp187_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp187_AST);
			ASTPair __currentAST742 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVENT_PROP_DYNAMIC_SIMPLE);
			_t = _t.getFirstChild();
			AST tmp188_AST = null;
			AST tmp188_AST_in = null;
			tmp188_AST = astFactory.create((AST)_t);
			tmp188_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp188_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			currentAST = __currentAST742;
			_t = __t742;
			_t = _t.getNextSibling();
			eventPropertyAtomic_AST = (AST)currentAST.root;
			break;
		}
		case EVENT_PROP_DYNAMIC_INDEXED:
		{
			AST __t743 = _t;
			AST tmp189_AST = null;
			AST tmp189_AST_in = null;
			tmp189_AST = astFactory.create((AST)_t);
			tmp189_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp189_AST);
			ASTPair __currentAST743 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVENT_PROP_DYNAMIC_INDEXED);
			_t = _t.getFirstChild();
			AST tmp190_AST = null;
			AST tmp190_AST_in = null;
			tmp190_AST = astFactory.create((AST)_t);
			tmp190_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp190_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			AST tmp191_AST = null;
			AST tmp191_AST_in = null;
			tmp191_AST = astFactory.create((AST)_t);
			tmp191_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp191_AST);
			match(_t,NUM_INT);
			_t = _t.getNextSibling();
			currentAST = __currentAST743;
			_t = __t743;
			_t = _t.getNextSibling();
			eventPropertyAtomic_AST = (AST)currentAST.root;
			break;
		}
		case EVENT_PROP_DYNAMIC_MAPPED:
		{
			AST __t744 = _t;
			AST tmp192_AST = null;
			AST tmp192_AST_in = null;
			tmp192_AST = astFactory.create((AST)_t);
			tmp192_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp192_AST);
			ASTPair __currentAST744 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,EVENT_PROP_DYNAMIC_MAPPED);
			_t = _t.getFirstChild();
			AST tmp193_AST = null;
			AST tmp193_AST_in = null;
			tmp193_AST = astFactory.create((AST)_t);
			tmp193_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp193_AST);
			match(_t,IDENT);
			_t = _t.getNextSibling();
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case STRING_LITERAL:
			{
				AST tmp194_AST = null;
				AST tmp194_AST_in = null;
				tmp194_AST = astFactory.create((AST)_t);
				tmp194_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp194_AST);
				match(_t,STRING_LITERAL);
				_t = _t.getNextSibling();
				break;
			}
			case QUOTED_STRING_LITERAL:
			{
				AST tmp195_AST = null;
				AST tmp195_AST_in = null;
				tmp195_AST = astFactory.create((AST)_t);
				tmp195_AST_in = (AST)_t;
				astFactory.addASTChild(currentAST, tmp195_AST);
				match(_t,QUOTED_STRING_LITERAL);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			currentAST = __currentAST744;
			_t = __t744;
			_t = _t.getNextSibling();
			eventPropertyAtomic_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = eventPropertyAtomic_AST;
		_retTree = _t;
	}
	
	public final void singleParameter(AST _t) throws RecognitionException {
		
		AST singleParameter_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST singleParameter_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case STAR:
		{
			AST tmp196_AST = null;
			AST tmp196_AST_in = null;
			tmp196_AST = astFactory.create((AST)_t);
			tmp196_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp196_AST);
			match(_t,STAR);
			_t = _t.getNextSibling();
			singleParameter_AST = (AST)currentAST.root;
			break;
		}
		case LAST:
		{
			AST tmp197_AST = null;
			AST tmp197_AST_in = null;
			tmp197_AST = astFactory.create((AST)_t);
			tmp197_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp197_AST);
			match(_t,LAST);
			_t = _t.getNextSibling();
			singleParameter_AST = (AST)currentAST.root;
			break;
		}
		case LW:
		{
			AST tmp198_AST = null;
			AST tmp198_AST_in = null;
			tmp198_AST = astFactory.create((AST)_t);
			tmp198_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp198_AST);
			match(_t,LW);
			_t = _t.getNextSibling();
			singleParameter_AST = (AST)currentAST.root;
			break;
		}
		case LAST_OPERATOR:
		{
			lastOperator(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			singleParameter_AST = (AST)currentAST.root;
			break;
		}
		case WEEKDAY_OPERATOR:
		{
			weekDayOperator(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			singleParameter_AST = (AST)currentAST.root;
			break;
		}
		case INT_TYPE:
		case LONG_TYPE:
		case FLOAT_TYPE:
		case DOUBLE_TYPE:
		case STRING_TYPE:
		case BOOL_TYPE:
		case NULL_TYPE:
		{
			constant(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			singleParameter_AST = (AST)currentAST.root;
			break;
		}
		case NUMERIC_PARAM_RANGE:
		{
			AST __t754 = _t;
			AST tmp199_AST = null;
			AST tmp199_AST_in = null;
			tmp199_AST = astFactory.create((AST)_t);
			tmp199_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp199_AST);
			ASTPair __currentAST754 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NUMERIC_PARAM_RANGE);
			_t = _t.getFirstChild();
			AST tmp200_AST = null;
			AST tmp200_AST_in = null;
			tmp200_AST = astFactory.create((AST)_t);
			tmp200_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp200_AST);
			match(_t,NUM_INT);
			_t = _t.getNextSibling();
			AST tmp201_AST = null;
			AST tmp201_AST_in = null;
			tmp201_AST = astFactory.create((AST)_t);
			tmp201_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp201_AST);
			match(_t,NUM_INT);
			_t = _t.getNextSibling();
			currentAST = __currentAST754;
			_t = __t754;
			_t = _t.getNextSibling();
			singleParameter_AST = (AST)currentAST.root;
			break;
		}
		case NUMERIC_PARAM_FREQUENCY:
		{
			AST __t755 = _t;
			AST tmp202_AST = null;
			AST tmp202_AST_in = null;
			tmp202_AST = astFactory.create((AST)_t);
			tmp202_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp202_AST);
			ASTPair __currentAST755 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NUMERIC_PARAM_FREQUENCY);
			_t = _t.getFirstChild();
			AST tmp203_AST = null;
			AST tmp203_AST_in = null;
			tmp203_AST = astFactory.create((AST)_t);
			tmp203_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp203_AST);
			match(_t,NUM_INT);
			_t = _t.getNextSibling();
			currentAST = __currentAST755;
			_t = __t755;
			_t = _t.getNextSibling();
			singleParameter_AST = (AST)currentAST.root;
			break;
		}
		case TIME_PERIOD:
		{
			time_period(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			singleParameter_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = singleParameter_AST;
		_retTree = _t;
	}
	
	public final void numericParameterList(AST _t) throws RecognitionException {
		
		AST numericParameterList_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST numericParameterList_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case NUM_INT:
		{
			AST tmp204_AST = null;
			AST tmp204_AST_in = null;
			tmp204_AST = astFactory.create((AST)_t);
			tmp204_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp204_AST);
			match(_t,NUM_INT);
			_t = _t.getNextSibling();
			numericParameterList_AST = (AST)currentAST.root;
			break;
		}
		case NUMERIC_PARAM_RANGE:
		{
			AST __t757 = _t;
			AST tmp205_AST = null;
			AST tmp205_AST_in = null;
			tmp205_AST = astFactory.create((AST)_t);
			tmp205_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp205_AST);
			ASTPair __currentAST757 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NUMERIC_PARAM_RANGE);
			_t = _t.getFirstChild();
			AST tmp206_AST = null;
			AST tmp206_AST_in = null;
			tmp206_AST = astFactory.create((AST)_t);
			tmp206_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp206_AST);
			match(_t,NUM_INT);
			_t = _t.getNextSibling();
			AST tmp207_AST = null;
			AST tmp207_AST_in = null;
			tmp207_AST = astFactory.create((AST)_t);
			tmp207_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp207_AST);
			match(_t,NUM_INT);
			_t = _t.getNextSibling();
			currentAST = __currentAST757;
			_t = __t757;
			_t = _t.getNextSibling();
			numericParameterList_AST = (AST)currentAST.root;
			break;
		}
		case NUMERIC_PARAM_FREQUENCE:
		{
			AST __t758 = _t;
			AST tmp208_AST = null;
			AST tmp208_AST_in = null;
			tmp208_AST = astFactory.create((AST)_t);
			tmp208_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp208_AST);
			ASTPair __currentAST758 = currentAST.copy();
			currentAST.root = currentAST.child;
			currentAST.child = null;
			match(_t,NUMERIC_PARAM_FREQUENCE);
			_t = _t.getFirstChild();
			AST tmp209_AST = null;
			AST tmp209_AST_in = null;
			tmp209_AST = astFactory.create((AST)_t);
			tmp209_AST_in = (AST)_t;
			astFactory.addASTChild(currentAST, tmp209_AST);
			match(_t,NUM_INT);
			_t = _t.getNextSibling();
			currentAST = __currentAST758;
			_t = __t758;
			_t = _t.getNextSibling();
			numericParameterList_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = numericParameterList_AST;
		_retTree = _t;
	}
	
	public final void lastOperator(AST _t) throws RecognitionException {
		
		AST lastOperator_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST lastOperator_AST = null;
		
		AST __t760 = _t;
		AST tmp210_AST = null;
		AST tmp210_AST_in = null;
		tmp210_AST = astFactory.create((AST)_t);
		tmp210_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp210_AST);
		ASTPair __currentAST760 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,LAST_OPERATOR);
		_t = _t.getFirstChild();
		AST tmp211_AST = null;
		AST tmp211_AST_in = null;
		tmp211_AST = astFactory.create((AST)_t);
		tmp211_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp211_AST);
		match(_t,NUM_INT);
		_t = _t.getNextSibling();
		currentAST = __currentAST760;
		_t = __t760;
		_t = _t.getNextSibling();
		lastOperator_AST = (AST)currentAST.root;
		returnAST = lastOperator_AST;
		_retTree = _t;
	}
	
	public final void weekDayOperator(AST _t) throws RecognitionException {
		
		AST weekDayOperator_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST weekDayOperator_AST = null;
		
		AST __t762 = _t;
		AST tmp212_AST = null;
		AST tmp212_AST_in = null;
		tmp212_AST = astFactory.create((AST)_t);
		tmp212_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp212_AST);
		ASTPair __currentAST762 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,WEEKDAY_OPERATOR);
		_t = _t.getFirstChild();
		AST tmp213_AST = null;
		AST tmp213_AST_in = null;
		tmp213_AST = astFactory.create((AST)_t);
		tmp213_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp213_AST);
		match(_t,NUM_INT);
		_t = _t.getNextSibling();
		currentAST = __currentAST762;
		_t = __t762;
		_t = _t.getNextSibling();
		weekDayOperator_AST = (AST)currentAST.root;
		returnAST = weekDayOperator_AST;
		_retTree = _t;
	}
	
	public final void timePeriodDef(AST _t) throws RecognitionException {
		
		AST timePeriodDef_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST timePeriodDef_AST = null;
		
		if (_t==null) _t=ASTNULL;
		switch ( _t.getType()) {
		case DAY_PART:
		{
			dayPart(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case HOUR_PART:
			{
				hourPart(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case 3:
			case MINUTE_PART:
			case SECOND_PART:
			case MILLISECOND_PART:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case MINUTE_PART:
			{
				minutePart(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case 3:
			case SECOND_PART:
			case MILLISECOND_PART:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case SECOND_PART:
			{
				secondPart(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case 3:
			case MILLISECOND_PART:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case MILLISECOND_PART:
			{
				millisecondPart(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case 3:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			timePeriodDef_AST = (AST)currentAST.root;
			break;
		}
		case HOUR_PART:
		{
			hourPart(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case MINUTE_PART:
			{
				minutePart(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case 3:
			case SECOND_PART:
			case MILLISECOND_PART:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case SECOND_PART:
			{
				secondPart(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case 3:
			case MILLISECOND_PART:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case MILLISECOND_PART:
			{
				millisecondPart(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case 3:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			timePeriodDef_AST = (AST)currentAST.root;
			break;
		}
		case MINUTE_PART:
		{
			minutePart(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case SECOND_PART:
			{
				secondPart(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case 3:
			case MILLISECOND_PART:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case MILLISECOND_PART:
			{
				millisecondPart(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case 3:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			timePeriodDef_AST = (AST)currentAST.root;
			break;
		}
		case SECOND_PART:
		{
			secondPart(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			{
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case MILLISECOND_PART:
			{
				millisecondPart(_t);
				_t = _retTree;
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case 3:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
			}
			timePeriodDef_AST = (AST)currentAST.root;
			break;
		}
		case MILLISECOND_PART:
		{
			millisecondPart(_t);
			_t = _retTree;
			astFactory.addASTChild(currentAST, returnAST);
			timePeriodDef_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(_t);
		}
		}
		returnAST = timePeriodDef_AST;
		_retTree = _t;
	}
	
	public final void dayPart(AST _t) throws RecognitionException {
		
		AST dayPart_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST dayPart_AST = null;
		
		AST __t777 = _t;
		AST tmp214_AST = null;
		AST tmp214_AST_in = null;
		tmp214_AST = astFactory.create((AST)_t);
		tmp214_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp214_AST);
		ASTPair __currentAST777 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,DAY_PART);
		_t = _t.getFirstChild();
		number(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		currentAST = __currentAST777;
		_t = __t777;
		_t = _t.getNextSibling();
		dayPart_AST = (AST)currentAST.root;
		returnAST = dayPart_AST;
		_retTree = _t;
	}
	
	public final void hourPart(AST _t) throws RecognitionException {
		
		AST hourPart_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST hourPart_AST = null;
		
		AST __t779 = _t;
		AST tmp215_AST = null;
		AST tmp215_AST_in = null;
		tmp215_AST = astFactory.create((AST)_t);
		tmp215_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp215_AST);
		ASTPair __currentAST779 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,HOUR_PART);
		_t = _t.getFirstChild();
		number(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		currentAST = __currentAST779;
		_t = __t779;
		_t = _t.getNextSibling();
		hourPart_AST = (AST)currentAST.root;
		returnAST = hourPart_AST;
		_retTree = _t;
	}
	
	public final void minutePart(AST _t) throws RecognitionException {
		
		AST minutePart_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST minutePart_AST = null;
		
		AST __t781 = _t;
		AST tmp216_AST = null;
		AST tmp216_AST_in = null;
		tmp216_AST = astFactory.create((AST)_t);
		tmp216_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp216_AST);
		ASTPair __currentAST781 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,MINUTE_PART);
		_t = _t.getFirstChild();
		number(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		currentAST = __currentAST781;
		_t = __t781;
		_t = _t.getNextSibling();
		minutePart_AST = (AST)currentAST.root;
		returnAST = minutePart_AST;
		_retTree = _t;
	}
	
	public final void secondPart(AST _t) throws RecognitionException {
		
		AST secondPart_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST secondPart_AST = null;
		
		AST __t783 = _t;
		AST tmp217_AST = null;
		AST tmp217_AST_in = null;
		tmp217_AST = astFactory.create((AST)_t);
		tmp217_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp217_AST);
		ASTPair __currentAST783 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,SECOND_PART);
		_t = _t.getFirstChild();
		number(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		currentAST = __currentAST783;
		_t = __t783;
		_t = _t.getNextSibling();
		secondPart_AST = (AST)currentAST.root;
		returnAST = secondPart_AST;
		_retTree = _t;
	}
	
	public final void millisecondPart(AST _t) throws RecognitionException {
		
		AST millisecondPart_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST millisecondPart_AST = null;
		
		AST __t785 = _t;
		AST tmp218_AST = null;
		AST tmp218_AST_in = null;
		tmp218_AST = astFactory.create((AST)_t);
		tmp218_AST_in = (AST)_t;
		astFactory.addASTChild(currentAST, tmp218_AST);
		ASTPair __currentAST785 = currentAST.copy();
		currentAST.root = currentAST.child;
		currentAST.child = null;
		match(_t,MILLISECOND_PART);
		_t = _t.getFirstChild();
		number(_t);
		_t = _retTree;
		astFactory.addASTChild(currentAST, returnAST);
		currentAST = __currentAST785;
		_t = __t785;
		_t = _t.getNextSibling();
		millisecondPart_AST = (AST)currentAST.root;
		returnAST = millisecondPart_AST;
		_retTree = _t;
	}
	
	
	public static final String[] _tokenNames = {
		"<0>",
		"EOF",
		"<2>",
		"NULL_TREE_LOOKAHEAD",
		"\"create\"",
		"\"window\"",
		"\"in\"",
		"\"between\"",
		"\"like\"",
		"\"regexp\"",
		"\"escape\"",
		"\"or\"",
		"\"and\"",
		"\"not\"",
		"\"every\"",
		"\"where\"",
		"\"as\"",
		"\"sum\"",
		"\"avg\"",
		"\"max\"",
		"\"min\"",
		"\"coalesce\"",
		"\"median\"",
		"\"stddev\"",
		"\"avedev\"",
		"\"count\"",
		"\"select\"",
		"\"case\"",
		"CASE2",
		"\"else\"",
		"\"when\"",
		"\"then\"",
		"\"end\"",
		"\"from\"",
		"\"outer\"",
		"\"join\"",
		"\"left\"",
		"\"right\"",
		"\"full\"",
		"\"on\"",
		"\"is\"",
		"\"by\"",
		"\"group\"",
		"\"having\"",
		"\"distinct\"",
		"\"all\"",
		"\"output\"",
		"\"events\"",
		"\"seconds\"",
		"\"minutes\"",
		"\"first\"",
		"\"last\"",
		"\"insert\"",
		"\"into\"",
		"\"order\"",
		"\"asc\"",
		"\"desc\"",
		"\"rstream\"",
		"\"istream\"",
		"\"pattern\"",
		"\"sql\"",
		"\"metadatasql\"",
		"\"prev\"",
		"\"prior\"",
		"\"exists\"",
		"\"weekday\"",
		"\"lastweekday\"",
		"\"instanceof\"",
		"\"cast\"",
		"\"current_timestamp\"",
		"\"delete\"",
		"\"snapshot\"",
		"\"set\"",
		"\"variable\"",
		"NUMERIC_PARAM_RANGE",
		"NUMERIC_PARAM_LIST",
		"NUMERIC_PARAM_FREQUENCY",
		"FOLLOWED_BY_EXPR",
		"ARRAY_PARAM_LIST",
		"EVENT_FILTER_EXPR",
		"EVENT_FILTER_NAME_TAG",
		"EVENT_FILTER_IDENT",
		"EVENT_FILTER_PARAM",
		"EVENT_FILTER_RANGE",
		"EVENT_FILTER_NOT_RANGE",
		"EVENT_FILTER_IN",
		"EVENT_FILTER_NOT_IN",
		"EVENT_FILTER_BETWEEN",
		"EVENT_FILTER_NOT_BETWEEN",
		"CLASS_IDENT",
		"GUARD_EXPR",
		"OBSERVER_EXPR",
		"VIEW_EXPR",
		"PATTERN_INCL_EXPR",
		"DATABASE_JOIN_EXPR",
		"WHERE_EXPR",
		"HAVING_EXPR",
		"EVAL_BITWISE_EXPR",
		"EVAL_AND_EXPR",
		"EVAL_OR_EXPR",
		"EVAL_EQUALS_EXPR",
		"EVAL_NOTEQUALS_EXPR",
		"EVAL_IDENT",
		"SELECTION_EXPR",
		"SELECTION_ELEMENT_EXPR",
		"SELECTION_STREAM",
		"STREAM_EXPR",
		"OUTERJOIN_EXPR",
		"LEFT_OUTERJOIN_EXPR",
		"RIGHT_OUTERJOIN_EXPR",
		"FULL_OUTERJOIN_EXPR",
		"GROUP_BY_EXPR",
		"ORDER_BY_EXPR",
		"ORDER_ELEMENT_EXPR",
		"EVENT_PROP_EXPR",
		"EVENT_PROP_SIMPLE",
		"EVENT_PROP_MAPPED",
		"EVENT_PROP_INDEXED",
		"EVENT_PROP_DYNAMIC_SIMPLE",
		"EVENT_PROP_DYNAMIC_INDEXED",
		"EVENT_PROP_DYNAMIC_MAPPED",
		"EVENT_LIMIT_EXPR",
		"SEC_LIMIT_EXPR",
		"MIN_LIMIT_EXPR",
		"INSERTINTO_EXPR",
		"INSERTINTO_EXPRCOL",
		"CONCAT",
		"LIB_FUNCTION",
		"UNARY_MINUS",
		"TIME_PERIOD",
		"ARRAY_EXPR",
		"DAY_PART",
		"HOUR_PART",
		"MINUTE_PART",
		"SECOND_PART",
		"MILLISECOND_PART",
		"NOT_IN_SET",
		"NOT_BETWEEN",
		"NOT_LIKE",
		"NOT_REGEXP",
		"DBSELECT_EXPR",
		"DBFROM_CLAUSE",
		"DBWHERE_CLAUSE",
		"WILDCARD_SELECT",
		"INSERTINTO_STREAM_NAME",
		"IN_RANGE",
		"NOT_IN_RANGE",
		"SUBSELECT_EXPR",
		"EXISTS_SUBSELECT_EXPR",
		"IN_SUBSELECT_EXPR",
		"NOT_IN_SUBSELECT_EXPR",
		"IN_SUBSELECT_QUERY_EXPR",
		"LAST_OPERATOR",
		"WEEKDAY_OPERATOR",
		"SUBSTITUTION",
		"CAST_EXPR",
		"CREATE_WINDOW_EXPR",
		"CREATE_WINDOW_SELECT_EXPR",
		"ON_EXPR",
		"ON_DELETE_EXPR",
		"ON_SELECT_EXPR",
		"ON_EXPR_FROM",
		"ON_SET_EXPR",
		"CREATE_VARIABLE_EXPR",
		"METHOD_JOIN_EXPR",
		"INT_TYPE",
		"LONG_TYPE",
		"FLOAT_TYPE",
		"DOUBLE_TYPE",
		"STRING_TYPE",
		"BOOL_TYPE",
		"NULL_TYPE",
		"a numeric literal",
		"NUM_LONG",
		"NUM_FLOAT",
		"NUM_DOUBLE",
		"a questionmark '?'",
		"a minus '-'",
		"a plus operator '+'",
		"\"true\"",
		"\"false\"",
		"\"null\"",
		"STRING_LITERAL",
		"QUOTED_STRING_LITERAL",
		"an identifier",
		"a comma ','",
		"an equals '='",
		"DOT",
		"a star '*'",
		"an opening parenthesis '('",
		"a closing parenthesis ')'",
		"a left angle bracket '['",
		"a right angle bracket ']'",
		"a colon ':'",
		"a binary and '&'",
		"a binary or '|'",
		"a binary xor '^'",
		"a sql-style not equals \\\"<>\\\"",
		"a not equals \\\"!=\\\"",
		"a lesser then '<'",
		"a greater then '>'",
		"a less equals \\\"<=\\\"",
		"a greater equals \\\">=\\\"",
		"a logical or \\\"||\\\"",
		"a division operator '\\'",
		"a modulo '%'",
		"a left curly bracket '{'",
		"a right curly bracket '}'",
		"an followed-by \\\"->\\\"",
		"\"days\"",
		"\"day\"",
		"\"hours\"",
		"\"hour\"",
		"\"minute\"",
		"\"second\"",
		"\"sec\"",
		"\"milliseconds\"",
		"\"millisecond\"",
		"\"msec\"",
		"an equals compare \\\"==\\\"",
		"a not '!'",
		"a binary not '~'",
		"a division assign \\\"/=\\\"",
		"a plus assign \\\"+=\\\"",
		"an increment operator '++'",
		"a minus assign \\\"-=\\\"",
		"a decrement operator '--'",
		"a star assign '*='",
		"a module assign \\\"%=\\\"",
		"a shift right '>>'",
		"a shift right assign '>>='",
		"a binary shift right \\\">>>\\\"",
		"a binary shift right assign \\\">>>=\\\"",
		"a shift left \\\"<<\\\"",
		"a shift left assign \\\"<<=\\\"",
		"a binary xor assign \\\"^=\\\"",
		"a binary or assign \\\"|=\\\"",
		"a binary and assign \\\"&=\\\"",
		"a logical and \\\"&&\\\"",
		"a semicolon ';'",
		"WS",
		"SL_COMMENT",
		"ML_COMMENT",
		"ESC",
		"HEX_DIGIT",
		"EXPONENT",
		"FLOAT_SUFFIX",
		"BOGUS",
		"NUMERIC_PARAM_FREQUENCE"
	};
	
	private static final long[] mk_tokenSet_0() {
		long[] data = new long[8];
		data[0]=-4611686017959320640L;
		data[1]=-4610559860822507463L;
		data[2]=1154627809289572100L;
		data[3]=14236L;
		return data;
	}
	public static final BitSet _tokenSet_0 = new BitSet(mk_tokenSet_0());
	private static final long[] mk_tokenSet_1() {
		long[] data = { 2251799813685248L, 23556L, 1152938959404269570L, 0L, 0L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_1 = new BitSet(mk_tokenSet_1());
	private static final long[] mk_tokenSet_2() {
		long[] data = { 30720L, 201367552L, 0L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_2 = new BitSet(mk_tokenSet_2());
	}
	
